/*     */ package com.jaspersoft.jasperserver.irplugin.gui.explorer;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import com.jaspersoft.jasperserver.irplugin.wsclient.WSClient;
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Cursor;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.event.KeyEvent;
/*     */ import java.awt.event.MouseAdapter;
/*     */ import java.awt.event.MouseEvent;
/*     */ import java.util.ArrayList;
/*     */ import java.util.List;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.DefaultListModel;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComboBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JList;
/*     */ import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.JToggleButton;
/*     */ import javax.swing.ListSelectionModel;
/*     */ import javax.swing.UIManager;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.event.DocumentListener;
/*     */ import javax.swing.event.ListSelectionEvent;
/*     */ import javax.swing.event.ListSelectionListener;
/*     */ import javax.swing.table.DefaultTableModel;
/*     */ import javax.swing.table.TableColumn;
/*     */ import javax.swing.table.TableColumnModel;
/*     */ import javax.swing.text.JTextComponent;
/*     */ 
/*     */ public class ResourceChooser extends JPanel
/*     */ {
/*  53 */   private JServer server = null;
/*  54 */   private JDialog dialog = null;
/*  55 */   private int dialogResult = 2;
/*     */   
/*  57 */   private ResourceDescriptor root = null;
/*  58 */   private ResourceDescriptor currentParent = null;
/*  59 */   private ResourceDescriptor selectedDescriptor = null;
/*     */   private ButtonGroup buttonGroup1;
/*     */   private JButton jButtonClose;
/*     */   
/*  63 */   public ResourceChooser() { initComponents();
/*     */     
/*  65 */     this.jComboBoxLookIn.removeAllItems();
/*  66 */     this.jList1.setModel(new DefaultListModel());
/*     */     
/*  68 */     this.jScrollPane2.getViewport().setBackground(Color.WHITE);
/*  69 */     adjustListView();
/*     */     
/*  71 */     setRoot(new ResourceDescriptor());
/*  72 */     getRoot().setUriString("/");
/*  73 */     getRoot().setChildren(null);
/*  74 */     getRoot().setWsType("folder");
/*     */     
/*  76 */     this.jList1.setCellRenderer(new ExplorerCellRenderer());
/*  77 */     TableColumn col = this.jTable1.getColumnModel().getColumn(0);
/*  78 */     col.setCellRenderer(new ExplorerTableCellRenderer());
/*  79 */     this.jList1.getSelectionModel().setSelectionMode(0);
/*  80 */     this.jTable1.setSelectionMode(0);
/*  81 */     this.jTable1.getSelectionModel().addListSelectionListener(new ListSelectionListener()
/*     */     {
/*     */       public void valueChanged(ListSelectionEvent evt) {
/*  84 */         ResourceChooser.this.jTable1ValueChanged(evt);
/*     */       }
/*     */       
/*  87 */     });
/*  88 */     this.jComboBoxLookIn.setRenderer(new ExplorerCellRenderer(true));
/*     */     
/*  90 */     this.jButtonDetails.setIcon(UIManager.getIcon("FileChooser.detailsViewIcon"));
/*  91 */     this.jButtonDetails.setText("");
/*     */     
/*  93 */     this.jButtonList.setIcon(UIManager.getIcon("FileChooser.listViewIcon"));
/*  94 */     this.jButtonList.setText("");
/*     */     
/*  96 */     this.jButtonUp.setIcon(UIManager.getIcon("FileChooser.upFolderIcon"));
/*  97 */     this.jButtonUp.setText("");
/*     */     
/*  99 */     this.jTextField1.requestFocusInWindow();
/*     */     
/* 101 */     this.jTextField1.getDocument().addDocumentListener(new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/* 103 */         ResourceChooser.this.updateSelectedDescriptor();
/*     */       }
/*     */       
/* 106 */       public void insertUpdate(DocumentEvent evt) { ResourceChooser.this.updateSelectedDescriptor(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/* 109 */         ResourceChooser.this.updateSelectedDescriptor();
/*     */       }
/*     */       
/* 112 */     });
/* 113 */     applyI18n();
/*     */   }
/*     */   
/*     */   private JToggleButton jButtonDetails;
/*     */   private JToggleButton jButtonList;
/*     */   public void applyI18n() {
/* 119 */     this.jButtonClose.setText(IRPlugin.getString("resourceChooser.buttonCancel", "Cancel"));
/* 120 */     this.jButtonDetails.setToolTipText(IRPlugin.getString("resourceChooser.buttonDetails", "Details"));
/* 121 */     this.jButtonList.setToolTipText(IRPlugin.getString("resourceChooser.buttonList", "List"));
/* 122 */     this.jButtonOpen.setText(IRPlugin.getString("resourceChooser.buttonOpenResource", "Open resource"));
/* 123 */     this.jButtonUp.setToolTipText(IRPlugin.getString("resourceChooser.buttonUp", "Up"));
/* 124 */     this.jLabel1.setText(IRPlugin.getString("resourceChooser.labelLookIn", "Look in:"));
/* 125 */     this.jLabel2.setText(IRPlugin.getString("resourceChooser.labelResourceName", "Resource name:"));
/* 126 */     this.jLabel3.setText(IRPlugin.getString("resourceChooser.labelResourceType", "Type:"));
/*     */     
/* 128 */     this.jTable1.getColumn("Name").setHeaderValue(IRPlugin.getString("resourceChooser.table.label", "Name"));
/* 129 */     this.jTable1.getColumn("Label").setHeaderValue(IRPlugin.getString("resourceChooser.table.value", "Label"));
/* 130 */     this.jTable1.getColumn("Type").setHeaderValue(IRPlugin.getString("resourceChooser.table.type", "Type"));
/* 131 */     this.jTable1.updateUI();
/*     */   }
/*     */   
/*     */ 
/*     */   public JServer getServer()
/*     */   {
/* 137 */     return this.server;
/*     */   }
/*     */   
/*     */   public void setServer(JServer server) {
/* 141 */     this.server = server;
/*     */   }
/*     */   
/*     */ 
/*     */   public void updateSelectedDescriptor()
/*     */   {
/* 147 */     this.selectedDescriptor = null;
/*     */   }
/*     */   
/*     */   private JButton jButtonOpen;
/*     */   private JButton jButtonUp;
/*     */   private JComboBox jComboBox2;
/*     */   private JComboBox jComboBoxLookIn;
/*     */   private JLabel jLabel1;
/*     */   public List list(ResourceDescriptor rd) throws Exception
/*     */   {
/* 157 */     List list = new ArrayList();
/*     */     
/* 159 */     if ((getServer() != null) && (rd.getWsType().equals("folder")) && (rd.getChildren() == null))
/*     */     {
/*     */ 
/* 162 */       return getServer().getWSClient().list(rd);
/*     */     }
/*     */     
/* 165 */     return list;
/*     */   }
/*     */   
/*     */ 
/*     */   private JLabel jLabel2;
/*     */   
/*     */   private JLabel jLabel3;
/*     */   
/*     */   private JList jList1;
/*     */   
/*     */   private JPanel jPanel1;
/*     */   
/*     */   private JPanel jPanel2;
/*     */   
/*     */   private JPanel jPanelTop;
/*     */   private JScrollPane jScrollPane1;
/*     */   private JScrollPane jScrollPane2;
/*     */   private JTable jTable1;
/*     */   private JTextField jTextField1;
/*     */   public int showDialog(Component parent, String approveButtonText)
/*     */   {
/* 186 */     this.dialogResult = 2;
/* 187 */     if (approveButtonText == null) approveButtonText = IRPlugin.getString("resourceChooser.buttonOpenResource", "Open resource");
/* 188 */     this.jButtonOpen.setText(approveButtonText);
/*     */     
/* 190 */     Window w = javax.swing.SwingUtilities.getWindowAncestor(parent);
/* 191 */     if ((w instanceof Frame)) { this.dialog = new JDialog((Frame)w, true);
/* 192 */     } else if ((w instanceof Dialog)) this.dialog = new JDialog((Dialog)w, true); else
/* 193 */       this.dialog = new JDialog((Frame)null, true);
/* 194 */     this.dialog.getContentPane().setLayout(new GridBagLayout());
/* 195 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 196 */     gridBagConstraints.fill = 1;
/* 197 */     gridBagConstraints.weightx = 1.0D;
/* 198 */     gridBagConstraints.weighty = 1.0D;
/* 199 */     this.dialog.getContentPane().add(this, gridBagConstraints);
/* 200 */     this.dialog.pack();
/* 201 */     it.businesslogic.ireport.util.Misc.centerFrame(this.dialog);
/*     */     
/* 203 */     this.jComboBoxLookIn.removeAllItems();
/* 204 */     setCurrentParent(getRoot());
/*     */     
/* 206 */     this.dialog.setVisible(true);
/* 207 */     return getDialogResult();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private void initComponents()
/*     */   {
/* 220 */     this.buttonGroup1 = new ButtonGroup();
/* 221 */     this.jPanelTop = new JPanel();
/* 222 */     this.jLabel1 = new JLabel();
/* 223 */     this.jComboBoxLookIn = new JComboBox();
/* 224 */     this.jButtonUp = new JButton();
/* 225 */     this.jButtonList = new JToggleButton();
/* 226 */     this.jButtonDetails = new JToggleButton();
/* 227 */     this.jPanel1 = new JPanel();
/* 228 */     this.jScrollPane1 = new JScrollPane();
/* 229 */     this.jList1 = new JList();
/* 230 */     this.jScrollPane2 = new JScrollPane();
/* 231 */     this.jTable1 = new JTable();
/* 232 */     this.jPanel2 = new JPanel();
/* 233 */     this.jLabel2 = new JLabel();
/* 234 */     this.jLabel3 = new JLabel();
/* 235 */     this.jTextField1 = new JTextField();
/* 236 */     this.jComboBox2 = new JComboBox();
/* 237 */     this.jButtonOpen = new JButton();
/* 238 */     this.jButtonClose = new JButton();
/*     */     
/* 240 */     setLayout(new GridBagLayout());
/*     */     
/* 242 */     this.jPanelTop.setLayout(new GridBagLayout());
/*     */     
/* 244 */     this.jPanelTop.setMinimumSize(new Dimension(10, 30));
/* 245 */     this.jPanelTop.setPreferredSize(new Dimension(10, 30));
/* 246 */     this.jLabel1.setText("Look in:");
/* 247 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 248 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 249 */     this.jPanelTop.add(this.jLabel1, gridBagConstraints);
/*     */     
/* 251 */     this.jComboBoxLookIn.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
/* 252 */     this.jComboBoxLookIn.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 254 */         ResourceChooser.this.jComboBoxLookInActionPerformed(evt);
/*     */       }
/*     */       
/* 257 */     });
/* 258 */     gridBagConstraints = new GridBagConstraints();
/* 259 */     gridBagConstraints.fill = 2;
/* 260 */     gridBagConstraints.weightx = 1.0D;
/* 261 */     gridBagConstraints.insets = new Insets(4, 0, 4, 4);
/* 262 */     this.jPanelTop.add(this.jComboBoxLookIn, gridBagConstraints);
/*     */     
/* 264 */     this.jButtonUp.setText("Up");
/* 265 */     this.jButtonUp.setMargin(new Insets(0, 0, 0, 0));
/* 266 */     this.jButtonUp.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 268 */         ResourceChooser.this.jButtonUpActionPerformed(evt);
/*     */       }
/*     */       
/* 271 */     });
/* 272 */     gridBagConstraints = new GridBagConstraints();
/* 273 */     gridBagConstraints.insets = new Insets(4, 4, 4, 0);
/* 274 */     this.jPanelTop.add(this.jButtonUp, gridBagConstraints);
/*     */     
/* 276 */     this.buttonGroup1.add(this.jButtonList);
/* 277 */     this.jButtonList.setSelected(true);
/* 278 */     this.jButtonList.setText("List");
/* 279 */     this.jButtonList.setMargin(new Insets(0, 0, 0, 0));
/* 280 */     this.jButtonList.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 282 */         ResourceChooser.this.jButtonListActionPerformed(evt);
/*     */       }
/*     */       
/* 285 */     });
/* 286 */     gridBagConstraints = new GridBagConstraints();
/* 287 */     gridBagConstraints.insets = new Insets(4, 4, 4, 0);
/* 288 */     this.jPanelTop.add(this.jButtonList, gridBagConstraints);
/*     */     
/* 290 */     this.buttonGroup1.add(this.jButtonDetails);
/* 291 */     this.jButtonDetails.setLabel("Details");
/* 292 */     this.jButtonDetails.setMargin(new Insets(0, 0, 0, 0));
/* 293 */     this.jButtonDetails.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 295 */         ResourceChooser.this.jButtonDetailsActionPerformed(evt);
/*     */       }
/*     */       
/* 298 */     });
/* 299 */     gridBagConstraints = new GridBagConstraints();
/* 300 */     gridBagConstraints.insets = new Insets(4, 0, 4, 4);
/* 301 */     this.jPanelTop.add(this.jButtonDetails, gridBagConstraints);
/*     */     
/* 303 */     gridBagConstraints = new GridBagConstraints();
/* 304 */     gridBagConstraints.fill = 2;
/* 305 */     gridBagConstraints.weightx = 1.0D;
/* 306 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 307 */     add(this.jPanelTop, gridBagConstraints);
/*     */     
/* 309 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 311 */     this.jPanel1.setBackground(new Color(255, 255, 255));
/* 312 */     this.jScrollPane1.setPreferredSize(new Dimension(400, 200));
/* 313 */     this.jList1.setLayoutOrientation(1);
/* 314 */     this.jList1.setVisibleRowCount(-1);
/* 315 */     this.jList1.addListSelectionListener(new ListSelectionListener() {
/*     */       public void valueChanged(ListSelectionEvent evt) {
/* 317 */         ResourceChooser.this.jList1ValueChanged(evt);
/*     */       }
/* 319 */     });
/* 320 */     this.jList1.addMouseListener(new MouseAdapter() {
/*     */       public void mouseClicked(MouseEvent evt) {
/* 322 */         ResourceChooser.this.jList1MouseClicked(evt);
/*     */       }
/*     */       
/* 325 */     });
/* 326 */     this.jScrollPane1.setViewportView(this.jList1);
/*     */     
/* 328 */     gridBagConstraints = new GridBagConstraints();
/* 329 */     gridBagConstraints.fill = 1;
/* 330 */     gridBagConstraints.weightx = 1.0D;
/* 331 */     gridBagConstraints.weighty = 1.0D;
/* 332 */     this.jPanel1.add(this.jScrollPane1, gridBagConstraints);
/*     */     
/* 334 */     this.jScrollPane2.setBackground(new Color(255, 255, 255));
/* 335 */     this.jScrollPane2.setOpaque(false);
/* 336 */     this.jScrollPane2.setPreferredSize(new Dimension(400, 200));
/* 337 */     this.jTable1.setModel(new DefaultTableModel(new Object[0][], new String[] { "Name", "Label", "Type" })
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 345 */       Class[] types = { Object.class, String.class, String.class };
/*     */       
/*     */ 
/* 348 */       boolean[] canEdit = { false, false, false };
/*     */       
/*     */ 
/*     */       public Class getColumnClass(int columnIndex)
/*     */       {
/* 353 */         return this.types[columnIndex];
/*     */       }
/*     */       
/*     */       public boolean isCellEditable(int rowIndex, int columnIndex) {
/* 357 */         return this.canEdit[columnIndex];
/*     */       }
/* 359 */     });
/* 360 */     this.jTable1.setIntercellSpacing(new Dimension(0, 0));
/* 361 */     this.jTable1.setRequestFocusEnabled(false);
/* 362 */     this.jTable1.setShowHorizontalLines(false);
/* 363 */     this.jTable1.setShowVerticalLines(false);
/* 364 */     this.jTable1.addMouseListener(new MouseAdapter() {
/*     */       public void mouseClicked(MouseEvent evt) {
/* 366 */         ResourceChooser.this.jTable1MouseClicked(evt);
/*     */       }
/*     */       
/* 369 */     });
/* 370 */     this.jScrollPane2.setViewportView(this.jTable1);
/*     */     
/* 372 */     gridBagConstraints = new GridBagConstraints();
/* 373 */     gridBagConstraints.fill = 1;
/* 374 */     gridBagConstraints.weightx = 1.0D;
/* 375 */     gridBagConstraints.weighty = 1.0D;
/* 376 */     this.jPanel1.add(this.jScrollPane2, gridBagConstraints);
/*     */     
/* 378 */     gridBagConstraints = new GridBagConstraints();
/* 379 */     gridBagConstraints.gridx = 0;
/* 380 */     gridBagConstraints.gridy = 1;
/* 381 */     gridBagConstraints.fill = 1;
/* 382 */     gridBagConstraints.weightx = 1.0D;
/* 383 */     gridBagConstraints.weighty = 1.0D;
/* 384 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 385 */     add(this.jPanel1, gridBagConstraints);
/*     */     
/* 387 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 389 */     this.jPanel2.setMinimumSize(new Dimension(10, 60));
/* 390 */     this.jPanel2.setPreferredSize(new Dimension(10, 60));
/* 391 */     this.jLabel2.setHorizontalAlignment(4);
/* 392 */     this.jLabel2.setText("Resource name:");
/* 393 */     this.jLabel2.setHorizontalTextPosition(4);
/* 394 */     gridBagConstraints = new GridBagConstraints();
/* 395 */     gridBagConstraints.gridx = 0;
/* 396 */     gridBagConstraints.fill = 2;
/* 397 */     this.jPanel2.add(this.jLabel2, gridBagConstraints);
/*     */     
/* 399 */     this.jLabel3.setHorizontalAlignment(4);
/* 400 */     this.jLabel3.setText("Type:");
/* 401 */     this.jLabel3.setHorizontalTextPosition(4);
/* 402 */     gridBagConstraints = new GridBagConstraints();
/* 403 */     gridBagConstraints.gridx = 0;
/* 404 */     gridBagConstraints.fill = 2;
/* 405 */     this.jPanel2.add(this.jLabel3, gridBagConstraints);
/*     */     
/* 407 */     this.jTextField1.addKeyListener(new java.awt.event.KeyAdapter() {
/*     */       public void keyPressed(KeyEvent evt) {
/* 409 */         ResourceChooser.this.jTextField1KeyPressed(evt);
/*     */       }
/*     */       
/* 412 */     });
/* 413 */     gridBagConstraints = new GridBagConstraints();
/* 414 */     gridBagConstraints.gridx = 1;
/* 415 */     gridBagConstraints.fill = 2;
/* 416 */     gridBagConstraints.weightx = 1.0D;
/* 417 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 418 */     this.jPanel2.add(this.jTextField1, gridBagConstraints);
/*     */     
/* 420 */     gridBagConstraints = new GridBagConstraints();
/* 421 */     gridBagConstraints.gridx = 1;
/* 422 */     gridBagConstraints.fill = 2;
/* 423 */     gridBagConstraints.weightx = 1.0D;
/* 424 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 425 */     this.jPanel2.add(this.jComboBox2, gridBagConstraints);
/*     */     
/* 427 */     this.jButtonOpen.setText("Open resource");
/* 428 */     this.jButtonOpen.setMargin(new Insets(2, 12, 2, 12));
/* 429 */     this.jButtonOpen.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 431 */         ResourceChooser.this.jButtonOpenActionPerformed(evt);
/*     */       }
/*     */       
/* 434 */     });
/* 435 */     gridBagConstraints = new GridBagConstraints();
/* 436 */     gridBagConstraints.gridx = 2;
/* 437 */     gridBagConstraints.insets = new Insets(0, 16, 0, 4);
/* 438 */     this.jPanel2.add(this.jButtonOpen, gridBagConstraints);
/*     */     
/* 440 */     this.jButtonClose.setText("Cancel");
/* 441 */     this.jButtonClose.setMargin(new Insets(2, 12, 2, 12));
/* 442 */     this.jButtonClose.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 444 */         ResourceChooser.this.jButtonCloseActionPerformed(evt);
/*     */       }
/*     */       
/* 447 */     });
/* 448 */     gridBagConstraints = new GridBagConstraints();
/* 449 */     gridBagConstraints.gridx = 2;
/* 450 */     gridBagConstraints.fill = 2;
/* 451 */     gridBagConstraints.insets = new Insets(0, 16, 0, 4);
/* 452 */     this.jPanel2.add(this.jButtonClose, gridBagConstraints);
/*     */     
/* 454 */     gridBagConstraints = new GridBagConstraints();
/* 455 */     gridBagConstraints.gridx = 0;
/* 456 */     gridBagConstraints.gridy = 2;
/* 457 */     gridBagConstraints.fill = 1;
/* 458 */     gridBagConstraints.weightx = 1.0D;
/* 459 */     gridBagConstraints.insets = new Insets(0, 4, 0, 0);
/* 460 */     add(this.jPanel2, gridBagConstraints);
/*     */   }
/*     */   
/*     */ 
/*     */   private void jTextField1KeyPressed(KeyEvent evt)
/*     */   {
/* 466 */     if (evt.getKeyCode() == 10)
/*     */     {
/* 468 */       jButtonOpenActionPerformed(null);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButtonCloseActionPerformed(ActionEvent evt)
/*     */   {
/* 475 */     this.selectedDescriptor = null;
/* 476 */     setDialogResult(0);
/* 477 */     this.dialog.setVisible(false);
/* 478 */     this.dialog.dispose();
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButtonOpenActionPerformed(ActionEvent evt)
/*     */   {
/* 484 */     if (this.jTextField1.getText().trim().length() == 0) { return;
/*     */     }
/* 486 */     if (getSelectedDescriptor() == null)
/*     */     {
/*     */ 
/*     */ 
/* 490 */       String uri = this.jTextField1.getText().trim();
/* 491 */       while (uri.endsWith("/")) uri = uri.substring(0, uri.length() - 1);
/* 492 */       if (uri.length() == 0) return;
/* 493 */       if (uri.indexOf("/") >= 0)
/*     */       {
/* 495 */         ResourceDescriptor nrd = new ResourceDescriptor();
/* 496 */         nrd.setUriString(uri);
/* 497 */         nrd.setWsType("folder");
/*     */         try {
/* 499 */           nrd = getServer().getWSClient().get(nrd, null);
/*     */           
/* 501 */           if (!nrd.getWsType().equals("-"))
/*     */           {
/* 503 */             if (nrd.getWsType().equals("folder"))
/*     */             {
/* 505 */               openFolder(nrd);
/* 506 */               return;
/*     */             }
/*     */             
/*     */ 
/* 510 */             this.selectedDescriptor = nrd;
/*     */           }
/*     */           
/*     */ 
/*     */         }
/*     */         catch (Exception ex) {}
/*     */ 
/*     */       }
/*     */       else
/*     */       {
/*     */ 
/* 521 */         ResourceDescriptor nrd = new ResourceDescriptor();
/* 522 */         uri = ((ResourceDescriptor)this.jComboBoxLookIn.getSelectedItem()).getUriString() + "/" + uri;
/* 523 */         nrd.setUriString(uri);
/* 524 */         nrd.setWsType("folder");
/*     */         try {
/* 526 */           nrd = getServer().getWSClient().get(nrd, null);
/* 527 */           if (nrd.getWsType() != null)
/*     */           {
/* 529 */             if (nrd.getWsType().equals("folder"))
/*     */             {
/* 531 */               openFolder(nrd);
/* 532 */               return;
/*     */             }
/*     */             
/*     */ 
/* 536 */             this.selectedDescriptor = nrd;
/*     */           }
/*     */         }
/*     */         catch (Exception ex) {}
/*     */       }
/*     */       
/*     */ 
/*     */ 
/*     */ 
/* 545 */       if (getSelectedDescriptor() == null)
/*     */       {
/* 547 */         JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("resourceChooser.message.fileNotFound", "{0}\nResource not found or not valid.\nPlease verify the correct file name was given.", new Object[] { uri }));
/*     */         
/*     */ 
/* 550 */         return;
/*     */       }
/*     */     }
/*     */     
/* 554 */     setDialogResult(0);
/* 555 */     this.dialog.setVisible(false);
/* 556 */     this.dialog.dispose();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void openFolder(ResourceDescriptor nrd)
/*     */   {
/*     */     try
/*     */     {
/* 569 */       nrd.setChildren(null);
/*     */       
/*     */ 
/* 572 */       this.jComboBoxLookIn.setSelectedIndex(0);
/* 573 */       String path = nrd.getUriString();
/*     */       
/* 575 */       String complete_path = "";
/* 576 */       while (path.startsWith("/")) path = path.substring(1);
/* 577 */       while (path.endsWith("/")) path = path.substring(0, path.length() - 1);
/* 578 */       while (path.indexOf("/") >= 0)
/*     */       {
/* 580 */         String folderName = path.substring(0, path.indexOf("/"));
/*     */         
/* 582 */         path = path.substring(path.indexOf("/") + 1);
/*     */         
/* 584 */         complete_path = complete_path + "/" + folderName;
/* 585 */         ResourceDescriptor nr = new ResourceDescriptor();
/* 586 */         nr.setUriString(complete_path);
/* 587 */         nr.setName(folderName);
/* 588 */         nr.setWsType("folder");
/* 589 */         nr.setChildren(null);
/* 590 */         this.jComboBoxLookIn.addItem(nr);
/*     */       }
/*     */       
/* 593 */       this.jComboBoxLookIn.addItem(nrd);
/* 594 */       this.jComboBoxLookIn.setSelectedItem(nrd);
/*     */       
/* 596 */       this.jTextField1.setText(nrd.getUriString());
/* 597 */       this.jTextField1.setSelectionStart(0);
/* 598 */       this.jTextField1.setSelectionEnd(nrd.getUriString().length());
/* 599 */       this.jTextField1.requestFocusInWindow();
/*     */     }
/*     */     catch (Exception ex)
/*     */     {
/* 603 */       ex.printStackTrace();
/*     */     }
/*     */   }
/*     */   
/*     */   private void jList1ValueChanged(ListSelectionEvent evt)
/*     */   {
/* 609 */     if (this.jList1.getSelectedIndex() < 0) { this.jTable1.getSelectionModel().clearSelection();
/*     */     }
/*     */     else {
/* 612 */       this.jTable1.getSelectionModel().setSelectionInterval(this.jList1.getSelectedIndex(), this.jList1.getSelectedIndex());
/*     */     }
/* 614 */     selectionChanged();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private void jTable1ValueChanged(ListSelectionEvent evt)
/*     */   {
/* 621 */     if (this.jTable1.getSelectedRowCount() == 0) { this.jList1.getSelectionModel().clearSelection();
/*     */     }
/*     */     else {
/* 624 */       this.jList1.getSelectionModel().setSelectionInterval(this.jTable1.getSelectedRow(), this.jTable1.getSelectedRow());
/*     */     }
/* 626 */     selectionChanged();
/*     */   }
/*     */   
/*     */ 
/*     */   private void selectionChanged()
/*     */   {
/* 632 */     this.selectedDescriptor = null;
/* 633 */     if (this.jList1.getSelectedIndex() >= 0)
/*     */     {
/* 635 */       ResourceDescriptor rd = (ResourceDescriptor)this.jList1.getSelectedValue();
/* 636 */       if ((rd.getWsType() != null) && (!rd.getWsType().equals("folder")))
/*     */       {
/* 638 */         this.selectedDescriptor = rd;
/* 639 */         this.jTextField1.setText(rd.getName());
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */   private void jButtonUpActionPerformed(ActionEvent evt)
/*     */   {
/* 646 */     if (this.jComboBoxLookIn.getSelectedIndex() > 0)
/*     */     {
/* 648 */       this.jComboBoxLookIn.setSelectedIndex(this.jComboBoxLookIn.getSelectedIndex() - 1);
/*     */     }
/*     */   }
/*     */   
/*     */   private void jTable1MouseClicked(MouseEvent evt)
/*     */   {
/* 654 */     if ((evt.getClickCount() == 2) && (evt.getButton() == 1))
/*     */     {
/* 656 */       if (this.jTable1.getSelectedRow() >= 0)
/*     */       {
/* 658 */         ResourceDescriptor rd = (ResourceDescriptor)this.jTable1.getValueAt(this.jTable1.getSelectedRow(), 0);
/* 659 */         if ((rd.getWsType() != null) && (rd.getWsType().equals("folder")))
/*     */         {
/* 661 */           setCurrentParent(rd);
/*     */         }
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */   private void jList1MouseClicked(MouseEvent evt)
/*     */   {
/* 669 */     if ((evt.getClickCount() == 2) && (evt.getButton() == 1))
/*     */     {
/*     */ 
/* 672 */       ResourceDescriptor rd = (ResourceDescriptor)this.jList1.getSelectedValue();
/* 673 */       if ((rd.getWsType() != null) && (rd.getWsType().equals("folder")))
/*     */       {
/* 675 */         setCurrentParent(rd);
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */   private void jComboBoxLookInActionPerformed(ActionEvent evt)
/*     */   {
/* 683 */     setCurrentParent((ResourceDescriptor)this.jComboBoxLookIn.getSelectedItem());
/*     */   }
/*     */   
/*     */   private void jButtonDetailsActionPerformed(ActionEvent evt)
/*     */   {
/* 688 */     adjustListView();
/*     */   }
/*     */   
/*     */   private void jButtonListActionPerformed(ActionEvent evt)
/*     */   {
/* 693 */     adjustListView();
/*     */   }
/*     */   
/*     */ 
/*     */   public void adjustListView()
/*     */   {
/* 699 */     this.jScrollPane1.setVisible(this.jButtonList.isSelected());
/* 700 */     this.jScrollPane2.setVisible(!this.jButtonList.isSelected());
/*     */     
/* 702 */     this.jPanel1.doLayout();
/* 703 */     this.jPanel1.updateUI();
/*     */   }
/*     */   
/*     */ 
/*     */   public ResourceDescriptor getRoot()
/*     */   {
/* 709 */     return this.root;
/*     */   }
/*     */   
/*     */   public void setRoot(ResourceDescriptor root) {
/* 713 */     this.root = root;
/*     */   }
/*     */   
/*     */   public ResourceDescriptor getCurrentParent() {
/* 717 */     return this.currentParent;
/*     */   }
/*     */   
/*     */   public void setCurrentParent(ResourceDescriptor currentParent)
/*     */   {
/* 722 */     if ((this.currentParent == currentParent) && (currentParent != null) && (currentParent.getChildren() != null)) {
/* 723 */       return;
/*     */     }
/* 725 */     this.currentParent = currentParent;
/*     */     
/*     */ 
/* 728 */     boolean found = false;
/* 729 */     for (int i = 0; i < this.jComboBoxLookIn.getItemCount(); i++)
/*     */     {
/* 731 */       ResourceDescriptor tmprd = (ResourceDescriptor)this.jComboBoxLookIn.getItemAt(i);
/* 732 */       if (tmprd == currentParent)
/*     */       {
/* 734 */         this.jComboBoxLookIn.setSelectedIndex(i);
/* 735 */         found = true;
/* 736 */         while (this.jComboBoxLookIn.getItemCount() > i + 1)
/*     */         {
/* 738 */           this.jComboBoxLookIn.removeItemAt(i + 1);
/*     */         }
/*     */       }
/*     */     }
/*     */     
/*     */ 
/* 744 */     if ((!found) && (currentParent != null))
/*     */     {
/* 746 */       this.jComboBoxLookIn.addItem(currentParent);
/* 747 */       this.jComboBoxLookIn.setSelectedItem(currentParent);
/*     */     }
/*     */     
/* 750 */     refreshContent();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private void refreshContent()
/*     */   {
/* 760 */     if (this.dialog == null) return;
/*     */     try {
/* 762 */       this.dialog.setCursor(Cursor.getPredefinedCursor(3));
/*     */       
/* 764 */       DefaultListModel dlm = (DefaultListModel)this.jList1.getModel();
/* 765 */       DefaultTableModel dtm = (DefaultTableModel)this.jTable1.getModel();
/*     */       
/* 767 */       dlm.removeAllElements();
/* 768 */       dtm.setRowCount(0);
/*     */       
/* 770 */       if (this.currentParent == null) return;
/* 771 */       if (getServer() == null)
/*     */         return;
/* 773 */       if (this.currentParent != null)
/*     */       {
/* 775 */         List children = this.currentParent.getChildren();
/* 776 */         if (children == null) {
/*     */           try
/*     */           {
/* 779 */             children = list(this.currentParent);
/* 780 */             for (int i = 0; i < children.size(); i++)
/*     */             {
/* 782 */               ((ResourceDescriptor)children.get(i)).setChildren(null);
/*     */             }
/* 784 */             this.currentParent.setChildren(children);
/*     */           }
/*     */           catch (Exception ex) {
/* 787 */             JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("resourceChooser.message.unableToList", "Unable to list {0}\n{1}", new Object[] { this.currentParent, ex.getMessage() }));
/*     */             
/*     */ 
/* 790 */             ex.printStackTrace();
/*     */           }
/*     */         }
/*     */         
/* 794 */         if (children != null)
/*     */         {
/* 796 */           for (int i = 0; i < children.size(); i++)
/*     */           {
/* 798 */             ResourceDescriptor rd = (ResourceDescriptor)children.get(i);
/* 799 */             dlm.addElement(rd);
/* 800 */             dtm.addRow(new Object[] { rd, rd.getLabel(), rd.getWsType() });
/*     */           }
/*     */         }
/*     */       }
/*     */     }
/*     */     finally
/*     */     {
/* 807 */       this.jList1.updateUI();
/* 808 */       this.jTable1.updateUI();
/* 809 */       this.dialog.setCursor(Cursor.getPredefinedCursor(0));
/*     */     }
/*     */   }
/*     */   
/*     */   public int getDialogResult() {
/* 814 */     return this.dialogResult;
/*     */   }
/*     */   
/*     */   public void setDialogResult(int dialogResult) {
/* 818 */     this.dialogResult = dialogResult;
/*     */   }
/*     */   
/*     */   public ResourceDescriptor getSelectedDescriptor() {
/* 822 */     return this.selectedDescriptor;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\explorer\ResourceChooser.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */