/*     */ package com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.ui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ListItem;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.ListItemWrapper;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import java.util.Iterator;
/*     */ import java.util.List;
/*     */ import java.util.Set;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.BoxLayout;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.ButtonModel;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JRadioButton;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class RadioListInputControlUI
/*     */   extends JPanel
/*     */   implements InputControlUI
/*     */ {
/*  43 */   private List radios = new ArrayList();
/*  44 */   private HashMap itemValues = new HashMap();
/*     */   private ButtonGroup buttonGroup1;
/*     */   private JLabel jLabelName;
/*     */   private JPanel jPanelList;
/*     */   
/*  49 */   public RadioListInputControlUI() { initComponents(); }
/*     */   
/*     */ 
/*     */   public Object getValue()
/*     */   {
/*  54 */     ButtonModel bm = this.buttonGroup1.getSelection();
/*  55 */     if (bm != null)
/*     */     {
/*  57 */       return this.itemValues.get(bm);
/*     */     }
/*  59 */     return null;
/*     */   }
/*     */   
/*     */   public void setValue(Object v)
/*     */   {
/*  64 */     Iterator it = this.itemValues.keySet().iterator();
/*  65 */     while (it.hasNext())
/*     */     {
/*  67 */       ButtonModel bm = (ButtonModel)it.next();
/*  68 */       Object val = this.itemValues.get(bm);
/*  69 */       if (((val == null) && (v == null)) || ((val != null) && (val.equals(v))))
/*     */       {
/*  71 */         this.buttonGroup1.setSelected(bm, true);
/*  72 */         return;
/*     */       }
/*  74 */       this.buttonGroup1.setSelected(bm, false);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private void initComponents()
/*     */   {
/*  87 */     this.buttonGroup1 = new ButtonGroup();
/*  88 */     this.jLabelName = new JLabel();
/*  89 */     this.jPanelList = new JPanel();
/*     */     
/*  91 */     setLayout(new GridBagLayout());
/*     */     
/*  93 */     setPreferredSize(new Dimension(250, 40));
/*  94 */     this.jLabelName.setText("jLabel1");
/*  95 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/*  96 */     gridBagConstraints.fill = 2;
/*  97 */     gridBagConstraints.weightx = 1.0D;
/*  98 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/*  99 */     add(this.jLabelName, gridBagConstraints);
/*     */     
/* 101 */     this.jPanelList.setLayout(new BoxLayout(this.jPanelList, 1));
/*     */     
/* 103 */     gridBagConstraints = new GridBagConstraints();
/* 104 */     gridBagConstraints.gridx = 0;
/* 105 */     gridBagConstraints.fill = 1;
/* 106 */     gridBagConstraints.weightx = 1.0D;
/* 107 */     gridBagConstraints.weighty = 1.0D;
/* 108 */     gridBagConstraints.insets = new Insets(2, 14, 4, 4);
/* 109 */     add(this.jPanelList, gridBagConstraints);
/*     */   }
/*     */   
/*     */ 
/*     */   public void setLabel(String lbl)
/*     */   {
/* 115 */     this.jLabelName.setText(lbl);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setHistory(List values)
/*     */   {
/* 123 */     if (values == null) { return;
/*     */     }
/*     */     
/* 126 */     this.jPanelList.removeAll();
/* 127 */     this.buttonGroup1 = new ButtonGroup();
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 136 */     int w = 100;
/* 137 */     Dimension d = this.jPanelList.getPreferredSize();
/* 138 */     for (int i = 0; i < values.size(); i++)
/*     */     {
/* 140 */       ListItemWrapper iw = (ListItemWrapper)values.get(i);
/*     */       
/*     */ 
/* 143 */       JRadioButton rb = new JRadioButton(iw.getItem().getLabel());
/* 144 */       this.buttonGroup1.add(rb);
/* 145 */       rb.setSelected(false);
/* 146 */       this.itemValues.put(rb.getModel(), iw.getItem().getValue());
/*     */       
/* 148 */       rb.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 149 */       rb.setMargin(new Insets(0, 0, 0, 0));
/*     */       
/* 151 */       if (rb.getPreferredSize().width > w) w = rb.getPreferredSize().width;
/* 152 */       d = new Dimension(w, rb.getPreferredSize().height * values.size());
/*     */       
/* 154 */       this.jPanelList.add(rb);
/*     */     }
/*     */     
/* 157 */     this.jPanelList.setPreferredSize(d);
/* 158 */     this.jPanelList.setMinimumSize(d);
/* 159 */     d.height += this.jLabelName.getPreferredSize().height + 6;
/* 160 */     setPreferredSize(d);
/* 161 */     setMinimumSize(d);
/*     */     
/* 163 */     this.jPanelList.updateUI();
/* 164 */     updateUI();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setReadOnly(boolean b)
/*     */   {
/* 177 */     for (int i = 0; i < this.jPanelList.getComponentCount(); i++)
/*     */     {
/* 179 */       Component c = this.jPanelList.getComponent(i);
/* 180 */       if ((c instanceof JRadioButton))
/*     */       {
/* 182 */         ((JRadioButton)c).setEnabled(!b);
/*     */       }
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\inputcontrols\ui\RadioListInputControlUI.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */