/*     */ package com.jaspersoft.jasperserver.jaxrs.client.apiadapters.jobs;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.apiadapters.AbstractAdapter;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.apiadapters.jobs.calendar.CalendarType;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.apiadapters.jobs.calendar.SingleCalendarOperationsAdapter;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.Callback;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.JRSVersion;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.JerseyRequest;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.MimeTypeUtil;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.RequestExecution;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.RestClientConfiguration;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.SessionStorage;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.ThreadPoolUtil;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.operationresult.OperationResult;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.jobs.Job;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.jobs.jaxb.wrappers.CalendarNameListWrapper;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class JobsService
/*     */   extends AbstractAdapter
/*     */ {
/*     */   public JobsService(SessionStorage sessionStorage)
/*     */   {
/*  37 */     super(sessionStorage);
/*     */   }
/*     */   
/*     */   public BatchJobsOperationsAdapter jobs() {
/*  41 */     return new BatchJobsOperationsAdapter(this.sessionStorage);
/*     */   }
/*     */   
/*     */   public SingleJobOperationsAdapter job(long jobId) {
/*  45 */     return new SingleJobOperationsAdapter(this.sessionStorage, String.valueOf(jobId));
/*     */   }
/*     */   
/*     */   public OperationResult<Job> scheduleReport(Job report) {
/*  49 */     JerseyRequest<Job> request = JerseyRequest.buildRequest(this.sessionStorage, Job.class, new String[] { "/jobs" }, new JobValidationErrorHandler());
/*  50 */     if (this.sessionStorage.getConfiguration().getJrsVersion().compareTo(JRSVersion.v5_5_0) > 0) {
/*  51 */       request.setContentType(MimeTypeUtil.toCorrectContentMime(this.sessionStorage.getConfiguration(), "application/job+{mime}"));
/*  52 */       request.setAccept(MimeTypeUtil.toCorrectAcceptMime(this.sessionStorage.getConfiguration(), "application/job+{mime}"));
/*     */     } else {
/*  54 */       request.setContentType("application/job+json");
/*  55 */       request.setAccept("application/job+json");
/*     */     }
/*  57 */     return request.put(report);
/*     */   }
/*     */   
/*     */   public <R> RequestExecution asyncScheduleReport(final Job report, final Callback<OperationResult<Job>, R> callback) {
/*  61 */     final JerseyRequest<Job> request = JerseyRequest.buildRequest(this.sessionStorage, Job.class, new String[] { "/jobs" }, new JobValidationErrorHandler());
/*  62 */     if (this.sessionStorage.getConfiguration().getJrsVersion().compareTo(JRSVersion.v5_5_0) > 0) {
/*  63 */       request.setContentType(MimeTypeUtil.toCorrectContentMime(this.sessionStorage.getConfiguration(), "application/job+{mime}"));
/*  64 */       request.setAccept(MimeTypeUtil.toCorrectAcceptMime(this.sessionStorage.getConfiguration(), "application/job+{mime}"));
/*     */     } else {
/*  66 */       request.setContentType("application/job+json");
/*  67 */       request.setAccept("application/job+json");
/*     */     }
/*  69 */     RequestExecution task = new RequestExecution(new Runnable()
/*     */     {
/*     */       public void run() {
/*  72 */         callback.execute(request.put(report));
/*     */       }
/*  74 */     });
/*  75 */     ThreadPoolUtil.runAsynchronously(task);
/*  76 */     return task;
/*     */   }
/*     */   
/*     */   public OperationResult<CalendarNameListWrapper> calendars() {
/*  80 */     return calendars(null);
/*     */   }
/*     */   
/*     */   public <R> RequestExecution asyncCalendars(Callback<OperationResult<CalendarNameListWrapper>, R> callback) {
/*  84 */     return asyncCalendars(null, callback);
/*     */   }
/*     */   
/*     */   public OperationResult<CalendarNameListWrapper> calendars(CalendarType type) {
/*  88 */     JerseyRequest<CalendarNameListWrapper> request = JerseyRequest.buildRequest(this.sessionStorage, CalendarNameListWrapper.class, new String[] { "/jobs", "/calendars" });
/*  89 */     if (type != null) {
/*  90 */       request.addParam("calendarType", new String[] { type.name().toLowerCase() });
/*     */     }
/*  92 */     return request.get();
/*     */   }
/*     */   
/*     */   public <R> RequestExecution asyncCalendars(CalendarType type, final Callback<OperationResult<CalendarNameListWrapper>, R> callback) {
/*  96 */     final JerseyRequest<CalendarNameListWrapper> request = JerseyRequest.buildRequest(this.sessionStorage, CalendarNameListWrapper.class, new String[] { "/jobs", "/calendars" });
/*  97 */     if (type != null) {
/*  98 */       request.addParam("calendarType", new String[] { type.name().toLowerCase() });
/*     */     }
/* 100 */     RequestExecution task = new RequestExecution(new Runnable()
/*     */     {
/*     */       public void run() {
/* 103 */         callback.execute(request.get());
/*     */       }
/* 105 */     });
/* 106 */     ThreadPoolUtil.runAsynchronously(task);
/* 107 */     return task;
/*     */   }
/*     */   
/*     */   public SingleCalendarOperationsAdapter calendar(String calendarName) {
/* 111 */     if (("".equals(calendarName)) || ("/".equals(calendarName))) {
/* 112 */       throw new IllegalArgumentException("'calendarName' mustn't be an empty string");
/*     */     }
/* 114 */     return new SingleCalendarOperationsAdapter(this.sessionStorage, calendarName);
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\apiadapters\jobs\JobsService.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */