/*     */ package com.jaspersoft.jasperserver.jaxrs.client.apiadapters.reporting;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.apiadapters.AbstractAdapter;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.Callback;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.JerseyRequest;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.RequestExecution;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.SessionStorage;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.ThreadPoolUtil;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.core.operationresult.OperationResult;
/*     */ import java.io.InputStream;
/*     */ import java.util.regex.Matcher;
/*     */ import java.util.regex.Pattern;
/*     */ import javax.ws.rs.core.MultivaluedHashMap;
/*     */ import javax.ws.rs.core.MultivaluedMap;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class RunReportAdapter
/*     */   extends AbstractAdapter
/*     */ {
/*     */   private final MultivaluedMap<String, String> params;
/*     */   private final String reportUnitUri;
/*     */   private final ReportOutputFormat format;
/*     */   private String[] pages;
/*     */   
/*     */   private RunReportAdapter(SessionStorage sessionStorage, String reportUnitUri, ReportOutputFormat format)
/*     */   {
/*  48 */     super(sessionStorage);
/*  49 */     this.params = new MultivaluedHashMap();
/*  50 */     this.reportUnitUri = reportUnitUri;
/*  51 */     this.format = format;
/*     */   }
/*     */   
/*     */   public RunReportAdapter(SessionStorage sessionStorage, String reportUnitUri, ReportOutputFormat format, Integer[] pages)
/*     */   {
/*  56 */     this(sessionStorage, reportUnitUri, format);
/*  57 */     this.pages = toStringArray(pages);
/*     */   }
/*     */   
/*     */   public RunReportAdapter(SessionStorage sessionStorage, String reportUnitUri, ReportOutputFormat format, PageRange range)
/*     */   {
/*  62 */     this(sessionStorage, reportUnitUri, format);
/*  63 */     this.pages = new String[] { range.getRange() };
/*     */   }
/*     */   
/*     */   public RunReportAdapter parameter(String name, String value) {
/*  67 */     this.params.add(name, value);
/*  68 */     return this;
/*     */   }
/*     */   
/*     */   public OperationResult<InputStream> run() {
/*  72 */     JerseyRequest<InputStream> request = prepareRunRequest();
/*  73 */     return request.get();
/*     */   }
/*     */   
/*     */   public <R> RequestExecution asyncRun(final Callback<OperationResult<InputStream>, R> callback) {
/*  77 */     final JerseyRequest<InputStream> request = prepareRunRequest();
/*     */     
/*  79 */     RequestExecution task = new RequestExecution(new Runnable()
/*     */     {
/*     */       public void run() {
/*  82 */         callback.execute(request.get());
/*     */       }
/*     */       
/*  85 */     });
/*  86 */     ThreadPoolUtil.runAsynchronously(task);
/*  87 */     return task;
/*     */   }
/*     */   
/*     */   private JerseyRequest<InputStream> prepareRunRequest()
/*     */   {
/*  92 */     JerseyRequest<InputStream> request = JerseyRequest.buildRequest(this.sessionStorage, InputStream.class, new String[] { "/reports", this.reportUnitUri + "." + this.format.toString().toLowerCase() }, new RunReportErrorHandler());
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  98 */     request.addParams(this.params);
/*     */     
/* 100 */     if ((this.pages != null) && (this.pages.length > 0)) {
/* 101 */       if (this.pages.length == 1) {
/* 102 */         Pattern pattern = Pattern.compile("^(\\d+)-(\\d+)$");
/* 103 */         Matcher matcher = pattern.matcher(this.pages[0]);
/* 104 */         request.addParam(matcher.matches() ? "pages" : "page", new String[] { this.pages[0] });
/*     */       }
/* 106 */       if (this.pages.length > 1) {
/* 107 */         request.addParam("pages", this.pages);
/*     */       }
/*     */     }
/* 110 */     return request;
/*     */   }
/*     */   
/*     */   private String[] toStringArray(Integer[] ints) {
/* 114 */     String[] strings = new String[ints.length];
/* 115 */     for (int i = 0; i < ints.length; i++) {
/* 116 */       strings[i] = ints[i].toString();
/*     */     }
/* 118 */     return strings;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\apiadapters\reporting\RunReportAdapter.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */