/*     */ package com.netapp.asup.data.objects;
/*     */ 
/*     */ import com.netapp.asup.data.schema.SchemaHelper;
/*     */ import com.netapp.asup.data.store.BaseContainer;
/*     */ import com.netapp.asup.data.store.StoreContainer;
/*     */ import java.io.IOException;
/*     */ import java.util.HashMap;
/*     */ import java.util.HashSet;
/*     */ import java.util.Map;
/*     */ import java.util.Map.Entry;
/*     */ import java.util.Set;
/*     */ import org.apache.avro.Schema;
/*     */ import org.apache.avro.generic.GenericRecord;
/*     */ import org.apache.avro.util.Utf8;
/*     */ 
/*     */ public class Options
/*     */   extends AvroObject<Map<Utf8, GenericRecord>>
/*     */ {
/*  19 */   private Map<Utf8, OptionData> optionDataMap = new HashMap();
/*     */   
/*  21 */   private static final SchemaHelper schemaHelper = BaseContainer.getInstance().getStoreContainer().getSchemaHelper();
/*     */   
/*     */   public Options(String id) {
/*  24 */     super(ARMASchema.OPTIONS, id);
/*     */   }
/*     */   
/*     */   public Set<Utf8> getOptionGroupIdSet()
/*     */   {
/*  29 */     Set<Utf8> set = new HashSet();
/*  30 */     if (this.object != null) {
/*  31 */       set.addAll(((Map)this.object).keySet());
/*     */     }
/*  33 */     set.addAll(this.optionDataMap.keySet());
/*  34 */     return set;
/*     */   }
/*     */   
/*     */   public Map<Utf8, OptionData> getOptionDataMap() {
/*  38 */     return this.optionDataMap;
/*     */   }
/*     */   
/*     */   public Options(Map<Utf8, GenericRecord> object, String id) throws IOException {
/*  42 */     super(ARMASchema.OPTIONS, id);
/*  43 */     this.object = object;
/*  44 */     Schema latestSchema = schemaHelper.getLatestSchema("OPTION");
/*  45 */     Schema activeSchema = schemaHelper.getActiveSchema("OPTION");
/*  46 */     if (object != null)
/*     */     {
/*  48 */       for (Map.Entry<Utf8, GenericRecord> mapEntry : object.entrySet()) {
/*  49 */         this.optionDataMap.put(mapEntry.getKey(), new OptionData((GenericRecord)mapEntry.getValue(), latestSchema, activeSchema, id));
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */   public static Options initialize(Map<Utf8, GenericRecord> object, String id)
/*     */     throws IOException
/*     */   {
/*  57 */     return new Options(object, id);
/*     */   }
/*     */   
/*     */   public void setOptions(Map<Utf8, OptionData> optionsMap) {
/*  61 */     this.optionDataMap = optionsMap;
/*     */   }
/*     */   
/*     */   public OptionData initializeOptionData(Utf8 optionGroupId) {
/*  65 */     OptionData optionData = (OptionData)this.optionDataMap.get(optionGroupId);
/*  66 */     if (optionData != null) {
/*  67 */       return optionData;
/*     */     }
/*     */     
/*  70 */     optionData = new OptionData(schemaHelper.getSchemaByVersion("OPTION", "1.0"), schemaHelper.getLatestSchema("OPTION"), this.id);
/*  71 */     this.optionDataMap.put(optionGroupId, optionData);
/*  72 */     return optionData;
/*     */   }
/*     */   
/*     */ 
/*     */   public void putOptionData(Utf8 optionGroupId, OptionData optionMap)
/*     */   {
/*  78 */     this.optionDataMap.put(optionGroupId, optionMap);
/*     */   }
/*     */   
/*     */   public void removeOptionData(Utf8 optionGroupId) {
/*  82 */     this.optionDataMap.remove(optionGroupId);
/*     */   }
/*     */   
/*     */   public OptionData getOptionData(Utf8 optionGroupId) throws IOException
/*     */   {
/*  87 */     OptionData optionData = (OptionData)this.optionDataMap.get(optionGroupId);
/*  88 */     if (optionData != null) {
/*  89 */       return optionData;
/*     */     }
/*  91 */     if ((this.object != null) && (((Map)this.object).get(optionGroupId) != null)) {
/*  92 */       optionData = new OptionData((GenericRecord)((Map)this.object).get(optionGroupId), schemaHelper.getLatestSchema("OPTION"), schemaHelper.getActiveSchema("OPTION"), this.id);
/*  93 */       this.optionDataMap.put(optionGroupId, optionData);
/*  94 */       return optionData;
/*     */     }
/*  96 */     return null;
/*     */   }
/*     */   
/*     */ 
/*     */   public Map<Utf8, GenericRecord> getObject()
/*     */     throws IOException
/*     */   {
/* 103 */     Map<Utf8, GenericRecord> object = new HashMap();
/* 104 */     for (Map.Entry<Utf8, OptionData> entry : this.optionDataMap.entrySet()) {
/* 105 */       object.put(entry.getKey(), ((OptionData)entry.getValue()).getObject());
/*     */     }
/* 107 */     return object;
/*     */   }
/*     */   
/*     */   public void merge(Object existingObject)
/*     */     throws IOException
/*     */   {
/* 113 */     Options options = (Options)existingObject;
/* 114 */     Set<Utf8> optionSet = getOptionGroupIdSet();
/* 115 */     for (Utf8 optionGroupId : optionSet) {
/* 116 */       options.putOptionData(optionGroupId, getOptionData(optionGroupId));
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\com\netapp\asup\data\objects\Options.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */