/*     */ package com.sun.xml.bind.v2.runtime.unmarshaller;
/*     */ 
/*     */ import com.sun.xml.bind.v2.runtime.JaxBeanInfo;
/*     */ import java.util.Collection;
/*     */ import java.util.Collections;
/*     */ import javax.xml.bind.Unmarshaller.Listener;
/*     */ import javax.xml.bind.helpers.ValidationEventImpl;
/*     */ import javax.xml.namespace.QName;
/*     */ import org.xml.sax.SAXException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class Loader
/*     */ {
/*     */   protected boolean expectText;
/*     */   
/*     */   protected Loader(boolean expectText)
/*     */   {
/*  24 */     this.expectText = expectText;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   protected Loader() {}
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void startElement(UnmarshallingContext.State state, TagName ea)
/*     */     throws SAXException
/*     */   {}
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void childElement(UnmarshallingContext.State state, TagName ea)
/*     */     throws SAXException
/*     */   {
/*  65 */     reportUnexpectedChildElement(ea, true);
/*  66 */     state.loader = Discarder.INSTANCE;
/*  67 */     state.receiver = null;
/*     */   }
/*     */   
/*     */   protected final void reportUnexpectedChildElement(TagName ea, boolean canRecover) throws SAXException {
/*  71 */     reportError(Messages.UNEXPECTED_ELEMENT.format(new Object[] { ea.uri, ea.local, computeExpectedElements() }), canRecover);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public Collection<QName> getExpectedChildElements()
/*     */   {
/*  78 */     return Collections.emptyList();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void text(UnmarshallingContext.State state, CharSequence text)
/*     */     throws SAXException
/*     */   {
/*  90 */     text = text.toString().replace('\r', ' ').replace('\n', ' ').replace('\t', ' ').trim();
/*  91 */     reportError(Messages.UNEXPECTED_TEXT.format(new Object[] { text }), true);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public final boolean expectText()
/*     */   {
/*  99 */     return this.expectText;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void leaveElement(UnmarshallingContext.State state, TagName ea)
/*     */     throws SAXException
/*     */   {}
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private String computeExpectedElements()
/*     */   {
/* 129 */     StringBuilder r = new StringBuilder();
/*     */     
/* 131 */     for (QName n : getExpectedChildElements()) {
/* 132 */       if (r.length() != 0) r.append(',');
/* 133 */       r.append("<{").append(n.getNamespaceURI()).append('}').append(n.getLocalPart()).append('>');
/*     */     }
/* 135 */     if (r.length() == 0) {
/* 136 */       return "(none)";
/*     */     }
/*     */     
/* 139 */     return r.toString();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   protected final void fireBeforeUnmarshal(JaxBeanInfo beanInfo, Object child, UnmarshallingContext.State state)
/*     */     throws SAXException
/*     */   {
/* 149 */     if (beanInfo.lookForLifecycleMethods()) {
/* 150 */       UnmarshallingContext context = state.getContext();
/* 151 */       Unmarshaller.Listener listener = context.parent.getListener();
/* 152 */       if (beanInfo.hasBeforeUnmarshalMethod()) {
/* 153 */         beanInfo.invokeBeforeUnmarshalMethod(context.parent, child, state.prev.target);
/*     */       }
/* 155 */       if (listener != null) {
/* 156 */         listener.beforeUnmarshal(child, state.prev.target);
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   protected final void fireAfterUnmarshal(JaxBeanInfo beanInfo, Object child, UnmarshallingContext.State state)
/*     */     throws SAXException
/*     */   {
/* 169 */     if (beanInfo.lookForLifecycleMethods()) {
/* 170 */       UnmarshallingContext context = state.getContext();
/* 171 */       Unmarshaller.Listener listener = context.parent.getListener();
/* 172 */       if (beanInfo.hasAfterUnmarshalMethod()) {
/* 173 */         beanInfo.invokeAfterUnmarshalMethod(context.parent, child, state.target);
/*     */       }
/* 175 */       if (listener != null) {
/* 176 */         listener.afterUnmarshal(child, state.target);
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */   protected static void handleGenericException(Exception e)
/*     */     throws SAXException
/*     */   {
/* 185 */     handleGenericException(e, false);
/*     */   }
/*     */   
/*     */   public static void handleGenericException(Exception e, boolean canRecover) throws SAXException {
/* 189 */     reportError(e.getMessage(), e, canRecover);
/*     */   }
/*     */   
/*     */   protected static void reportError(String msg, boolean canRecover) throws SAXException
/*     */   {
/* 194 */     reportError(msg, null, canRecover);
/*     */   }
/*     */   
/*     */   public static void reportError(String msg, Exception nested, boolean canRecover) throws SAXException {
/* 198 */     UnmarshallingContext context = UnmarshallingContext.getInstance();
/* 199 */     context.handleEvent(new ValidationEventImpl(canRecover ? 1 : 2, msg, context.getLocator().getLocation(), nested), canRecover);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   protected static void handleParseConversionException(UnmarshallingContext.State state, Exception e)
/*     */     throws SAXException
/*     */   {
/* 212 */     state.getContext().handleError(e);
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\target\myautosupport\WEB-INF\lib\jaxb-impl-2.0.3.jar!\com\sun\xml\bind\v2\runtime\unmarshaller\Loader.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */