/*     */ package org.apache.avro.io;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import org.apache.avro.Schema;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DecoderFactory
/*     */ {
/*  36 */   private static final DecoderFactory DEFAULT_FACTORY = new DefaultDecoderFactory(null);
/*     */   
/*     */   static final int DEFAULT_BUFFER_SIZE = 8192;
/*  39 */   int binaryDecoderBufferSize = 8192;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   @Deprecated
/*     */   public static DecoderFactory defaultFactory()
/*     */   {
/*  51 */     return get();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static DecoderFactory get()
/*     */   {
/*  60 */     return DEFAULT_FACTORY;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public DecoderFactory configureDecoderBufferSize(int size)
/*     */   {
/*  78 */     if (size < 32)
/*  79 */       size = 32;
/*  80 */     if (size > 16777216)
/*  81 */       size = 16777216;
/*  82 */     this.binaryDecoderBufferSize = size;
/*  83 */     return this;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getConfiguredBufferSize()
/*     */   {
/*  92 */     return this.binaryDecoderBufferSize;
/*     */   }
/*     */   
/*     */ 
/*     */   @Deprecated
/*     */   public BinaryDecoder createBinaryDecoder(InputStream in, BinaryDecoder reuse)
/*     */   {
/*  99 */     return binaryDecoder(in, reuse);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public BinaryDecoder binaryDecoder(InputStream in, BinaryDecoder reuse)
/*     */   {
/* 132 */     if ((null == reuse) || (!reuse.getClass().equals(BinaryDecoder.class))) {
/* 133 */       return new BinaryDecoder(in, this.binaryDecoderBufferSize);
/*     */     }
/* 135 */     return reuse.configure(in, this.binaryDecoderBufferSize);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public BinaryDecoder directBinaryDecoder(InputStream in, BinaryDecoder reuse)
/*     */   {
/* 172 */     if ((null == reuse) || (!reuse.getClass().equals(DirectBinaryDecoder.class))) {
/* 173 */       return new DirectBinaryDecoder(in);
/*     */     }
/* 175 */     return ((DirectBinaryDecoder)reuse).configure(in);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   @Deprecated
/*     */   public BinaryDecoder createBinaryDecoder(byte[] bytes, int offset, int length, BinaryDecoder reuse)
/*     */   {
/* 184 */     if ((null == reuse) || (!reuse.getClass().equals(BinaryDecoder.class))) {
/* 185 */       return new BinaryDecoder(bytes, offset, length);
/*     */     }
/* 187 */     return reuse.configure(bytes, offset, length);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public BinaryDecoder binaryDecoder(byte[] bytes, int offset, int length, BinaryDecoder reuse)
/*     */   {
/* 214 */     if ((null == reuse) || (!reuse.getClass().equals(BinaryDecoder.class))) {
/* 215 */       return new BinaryDecoder(bytes, offset, length);
/*     */     }
/* 217 */     return reuse.configure(bytes, offset, length);
/*     */   }
/*     */   
/*     */ 
/*     */   @Deprecated
/*     */   public BinaryDecoder createBinaryDecoder(byte[] bytes, BinaryDecoder reuse)
/*     */   {
/* 224 */     return binaryDecoder(bytes, 0, bytes.length, reuse);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public BinaryDecoder binaryDecoder(byte[] bytes, BinaryDecoder reuse)
/*     */   {
/* 234 */     return binaryDecoder(bytes, 0, bytes.length, reuse);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public JsonDecoder jsonDecoder(Schema schema, InputStream input)
/*     */     throws IOException
/*     */   {
/* 251 */     return new JsonDecoder(schema, input);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public JsonDecoder jsonDecoder(Schema schema, String input)
/*     */     throws IOException
/*     */   {
/* 268 */     return new JsonDecoder(schema, input);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public ValidatingDecoder validatingDecoder(Schema schema, Decoder wrapped)
/*     */     throws IOException
/*     */   {
/* 286 */     return new ValidatingDecoder(schema, wrapped);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public ResolvingDecoder resolvingDecoder(Schema writer, Schema reader, Decoder wrapped)
/*     */     throws IOException
/*     */   {
/* 307 */     return new ResolvingDecoder(writer, reader, wrapped);
/*     */   }
/*     */   
/*     */   private static class DefaultDecoderFactory extends DecoderFactory
/*     */   {
/*     */     public DecoderFactory configureDecoderBufferSize(int bufferSize) {
/* 313 */       throw new IllegalArgumentException("This Factory instance is Immutable");
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\org\apache\avro\io\DecoderFactory.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */