/*     */ package org.apache.avro.util;
/*     */ 
/*     */ import java.nio.charset.Charset;
/*     */ import org.apache.avro.io.BinaryData;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Utf8
/*     */   implements Comparable<Utf8>, CharSequence
/*     */ {
/*  28 */   private static final byte[] EMPTY = new byte[0];
/*  29 */   private static final Charset UTF8 = Charset.forName("UTF-8");
/*     */   
/*  31 */   private byte[] bytes = EMPTY;
/*     */   private int length;
/*     */   private String string;
/*     */   
/*     */   public Utf8() {}
/*     */   
/*     */   public Utf8(String string) {
/*  38 */     this.bytes = getBytesFor(string);
/*  39 */     this.length = this.bytes.length;
/*  40 */     this.string = string;
/*     */   }
/*     */   
/*     */   public Utf8(Utf8 other) {
/*  44 */     this.length = other.length;
/*  45 */     this.bytes = new byte[other.length];
/*  46 */     System.arraycopy(other.bytes, 0, this.bytes, 0, this.length);
/*  47 */     this.string = other.string;
/*     */   }
/*     */   
/*     */   public Utf8(byte[] bytes) {
/*  51 */     this.bytes = bytes;
/*  52 */     this.length = bytes.length;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*  57 */   public byte[] getBytes() { return this.bytes; }
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*  61 */   public int getLength() { return this.length; }
/*     */   
/*     */   public int getByteLength() {
/*  64 */     return this.length;
/*     */   }
/*     */   
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*  70 */   public Utf8 setLength(int newLength) { return setByteLength(newLength); }
/*     */   
/*     */ 
/*     */ 
/*     */   public Utf8 setByteLength(int newLength)
/*     */   {
/*  76 */     if (this.bytes.length < newLength) {
/*  77 */       byte[] newBytes = new byte[newLength];
/*  78 */       System.arraycopy(this.bytes, 0, newBytes, 0, this.length);
/*  79 */       this.bytes = newBytes;
/*     */     }
/*  81 */     this.length = newLength;
/*  82 */     this.string = null;
/*  83 */     return this;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/*  88 */     if (this.length == 0) return "";
/*  89 */     if (this.string == null) {
/*  90 */       this.string = new String(this.bytes, 0, this.length, UTF8);
/*     */     }
/*  92 */     return this.string;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/*  97 */     if (o == this) return true;
/*  98 */     if (!(o instanceof Utf8)) return false;
/*  99 */     Utf8 that = (Utf8)o;
/* 100 */     if (this.length != that.length) return false;
/* 101 */     byte[] thatBytes = that.bytes;
/* 102 */     for (int i = 0; i < this.length; i++)
/* 103 */       if (this.bytes[i] != thatBytes[i])
/* 104 */         return false;
/* 105 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 110 */     int hash = 0;
/* 111 */     for (int i = 0; i < this.length; i++)
/* 112 */       hash = hash * 31 + this.bytes[i];
/* 113 */     return hash;
/*     */   }
/*     */   
/*     */   public int compareTo(Utf8 that)
/*     */   {
/* 118 */     return BinaryData.compareBytes(this.bytes, 0, this.length, that.bytes, 0, that.length);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/* 123 */   public char charAt(int index) { return toString().charAt(index); }
/* 124 */   public int length() { return toString().length(); }
/*     */   
/* 126 */   public CharSequence subSequence(int start, int end) { return toString().subSequence(start, end); }
/*     */   
/*     */ 
/*     */   public static final byte[] getBytesFor(String str)
/*     */   {
/* 131 */     return str.getBytes(UTF8);
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\org\apache\avro\util\Utf8.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */