/*     */ package org.codehaus.janino;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashSet;
/*     */ import java.util.List;
/*     */ import java.util.Set;
/*     */ import org.codehaus.commons.compiler.CompileException;
/*     */ import org.codehaus.commons.compiler.Cookable;
/*     */ import org.codehaus.commons.compiler.ICookable;
/*     */ import org.codehaus.commons.compiler.IExpressionEvaluator;
/*     */ import org.codehaus.commons.compiler.PrimitiveWrapper;
/*     */ import org.codehaus.janino.util.Traverser;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ExpressionEvaluator
/*     */   extends ScriptEvaluator
/*     */   implements IExpressionEvaluator
/*     */ {
/*  78 */   private Class[] optionalExpressionTypes = null;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public ExpressionEvaluator(String expression, Class expressionType, String[] parameterNames, Class[] parameterTypes)
/*     */     throws CompileException
/*     */   {
/*  98 */     setExpressionType(expressionType);
/*  99 */     setParameters(parameterNames, parameterTypes);
/* 100 */     cook(expression);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public ExpressionEvaluator(String expression, Class expressionType, String[] parameterNames, Class[] parameterTypes, Class[] thrownExceptions, ClassLoader optionalParentClassLoader)
/*     */     throws CompileException
/*     */   {
/* 127 */     setExpressionType(expressionType);
/* 128 */     setParameters(parameterNames, parameterTypes);
/* 129 */     setThrownExceptions(thrownExceptions);
/* 130 */     setParentClassLoader(optionalParentClassLoader);
/* 131 */     cook(expression);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public ExpressionEvaluator(String expression, Class expressionType, String[] parameterNames, Class[] parameterTypes, Class[] thrownExceptions, Class optionalExtendedType, Class[] implementedTypes, ClassLoader optionalParentClassLoader)
/*     */     throws CompileException
/*     */   {
/* 164 */     setExpressionType(expressionType);
/* 165 */     setParameters(parameterNames, parameterTypes);
/* 166 */     setThrownExceptions(thrownExceptions);
/* 167 */     setExtendedClass(optionalExtendedType);
/* 168 */     setImplementedInterfaces(implementedTypes);
/* 169 */     setParentClassLoader(optionalParentClassLoader);
/* 170 */     cook(expression);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public ExpressionEvaluator(Scanner scanner, String className, Class optionalExtendedType, Class[] implementedTypes, boolean staticMethod, Class expressionType, String methodName, String[] parameterNames, Class[] parameterTypes, Class[] thrownExceptions, ClassLoader optionalParentClassLoader)
/*     */     throws CompileException, IOException
/*     */   {
/* 212 */     setClassName(className);
/* 213 */     setExtendedClass(optionalExtendedType);
/* 214 */     setImplementedInterfaces(implementedTypes);
/* 215 */     setStaticMethod(staticMethod);
/* 216 */     setExpressionType(expressionType);
/* 217 */     setMethodName(methodName);
/* 218 */     setParameters(parameterNames, parameterTypes);
/* 219 */     setThrownExceptions(thrownExceptions);
/* 220 */     setParentClassLoader(optionalParentClassLoader);
/* 221 */     cook(scanner);
/*     */   }
/*     */   
/*     */   public ExpressionEvaluator() {}
/*     */   
/*     */   public void setExpressionType(Class expressionType) {
/* 227 */     setExpressionTypes(new Class[] { expressionType });
/*     */   }
/*     */   
/*     */   public void setExpressionTypes(Class[] expressionTypes) {
/* 231 */     assertNotCooked();
/* 232 */     this.optionalExpressionTypes = expressionTypes;
/*     */     
/* 234 */     Class[] returnTypes = new Class[expressionTypes.length];
/* 235 */     for (int i = 0; i < returnTypes.length; i++) {
/* 236 */       Class et = expressionTypes[i];
/* 237 */       returnTypes[i] = (et == IExpressionEvaluator.ANY_TYPE ? Object.class : et);
/*     */     }
/* 239 */     super.setReturnTypes(returnTypes);
/*     */   }
/*     */   
/*     */   protected Class getDefaultReturnType() {
/* 243 */     return Object.class;
/*     */   }
/*     */   
/*     */ 
/*     */   protected List makeStatements(int idx, Scanner scanner)
/*     */     throws CompileException, IOException
/*     */   {
/* 250 */     List statements = new ArrayList();
/*     */     
/* 252 */     Parser parser = new Parser(scanner);
/*     */     
/*     */ 
/* 255 */     Java.Rvalue value = parser.parseExpression().toRvalueOrPE();
/*     */     
/* 257 */     Class et = this.optionalExpressionTypes == null ? IExpressionEvaluator.ANY_TYPE : this.optionalExpressionTypes[idx];
/* 258 */     if (et == Void.TYPE)
/*     */     {
/*     */ 
/* 261 */       statements.add(new Java.ExpressionStatement(value));
/*     */ 
/*     */     }
/*     */     else
/*     */     {
/* 266 */       if (et == IExpressionEvaluator.ANY_TYPE) {
/* 267 */         value = new Java.MethodInvocation(scanner.location(), new Java.ReferenceType(scanner.location(), new String[] { "org", "codehaus", "commons", "compiler", "PrimitiveWrapper" }), "wrap", new Java.Rvalue[] { value });
/*     */         
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 278 */         PrimitiveWrapper.wrap(99);
/*     */         
/*     */ 
/* 281 */         classToType(null, PrimitiveWrapper.class);
/*     */       }
/*     */       
/*     */ 
/* 285 */       statements.add(new Java.ReturnStatement(scanner.location(), value));
/*     */     }
/* 287 */     if (!scanner.peek().isEOF()) {
/* 288 */       throw new CompileException("Unexpected token \"" + scanner.peek() + "\"", scanner.location());
/*     */     }
/*     */     
/* 291 */     return statements;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public static Object createFastExpressionEvaluator(String expression, Class interfaceToImplement, String[] parameterNames, ClassLoader optionalParentClassLoader)
/*     */     throws CompileException
/*     */   {
/* 313 */     IExpressionEvaluator ee = new ExpressionEvaluator();
/* 314 */     ee.setParentClassLoader(optionalParentClassLoader);
/* 315 */     return ee.createFastEvaluator(expression, interfaceToImplement, parameterNames);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public static Object createFastExpressionEvaluator(Scanner scanner, String className, Class optionalExtendedType, Class interfaceToImplement, String[] parameterNames, ClassLoader optionalParentClassLoader)
/*     */     throws CompileException, IOException
/*     */   {
/* 334 */     ExpressionEvaluator ee = new ExpressionEvaluator();
/* 335 */     ee.setClassName(className);
/* 336 */     ee.setExtendedClass(optionalExtendedType);
/* 337 */     ee.setParentClassLoader(optionalParentClassLoader);
/* 338 */     return ee.createFastEvaluator(scanner, interfaceToImplement, parameterNames);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public static Object createFastExpressionEvaluator(Scanner scanner, String[] optionalDefaultImports, String className, Class optionalExtendedType, Class interfaceToImplement, String[] parameterNames, ClassLoader optionalParentClassLoader)
/*     */     throws CompileException, IOException
/*     */   {
/* 358 */     ExpressionEvaluator ee = new ExpressionEvaluator();
/* 359 */     ee.setClassName(className);
/* 360 */     ee.setExtendedClass(optionalExtendedType);
/* 361 */     ee.setDefaultImports(optionalDefaultImports);
/* 362 */     ee.setParentClassLoader(optionalParentClassLoader);
/* 363 */     return ee.createFastEvaluator(scanner, interfaceToImplement, parameterNames);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static String[] guessParameterNames(Scanner scanner)
/*     */     throws CompileException, IOException
/*     */   {
/* 379 */     Parser parser = new Parser(scanner);
/*     */     
/*     */ 
/* 382 */     while (scanner.peek().isKeyword("import")) { parser.parseImportDeclaration();
/*     */     }
/*     */     
/* 385 */     Java.Rvalue rvalue = parser.parseExpression().toRvalueOrPE();
/* 386 */     if (!scanner.peek().isEOF()) {
/* 387 */       throw new CompileException("Unexpected token \"" + scanner.peek() + "\"", scanner.location());
/*     */     }
/*     */     
/*     */ 
/* 391 */     Set parameterNames = new HashSet();
/* 392 */     rvalue.accept(new Traverser()
/*     */     {
/*     */       private final Set val$parameterNames;
/*     */       
/*     */       public void traverseAmbiguousName(Java.AmbiguousName an) {
/* 397 */         for (int i = 0; i < an.identifiers.length; i++) {
/* 398 */           if (Character.isUpperCase(an.identifiers[i].charAt(0))) { return;
/*     */           }
/*     */         }
/*     */         
/* 402 */         this.val$parameterNames.add(an.identifiers[0]);
/*     */       }
/*     */       
/* 405 */     }.comprehensiveVisitor());
/* 406 */     return (String[])parameterNames.toArray(new String[parameterNames.size()]);
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\org\codehaus\janino\ExpressionEvaluator.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */