/*     */ package org.codehaus.janino.util;
/*     */ 
/*     */ import java.io.PrintStream;
/*     */ import java.util.Stack;
/*     */ import java.util.Vector;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Benchmark
/*     */ {
/*  63 */   private final Stack beginTimes = new Stack();
/*     */   private final boolean reportingEnabled;
/*     */   
/*  66 */   public Benchmark() { this.reportingEnabled = false;
/*  67 */     this.reporter = null;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void begin()
/*     */   {
/*  74 */     this.beginTimes.push(new Long(System.currentTimeMillis()));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public long end()
/*     */   {
/*  81 */     return System.currentTimeMillis() - ((Long)this.beginTimes.pop()).longValue();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Benchmark(boolean reportingEnabled)
/*     */   {
/*  91 */     this.reportingEnabled = reportingEnabled;
/*  92 */     this.reporter = new Reporter() {
/*  93 */       public void report(String message) { System.out.println(message); }
/*     */     };
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Benchmark(boolean reportingEnabled, Reporter reporter)
/*     */   {
/* 104 */     this.reportingEnabled = reportingEnabled;
/* 105 */     this.reporter = reporter;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private final Reporter reporter;
/*     */   
/*     */ 
/*     */ 
/*     */   private static final String PAD = "                       ";
/*     */   
/*     */ 
/*     */ 
/*     */   public void beginReporting()
/*     */   {
/* 122 */     if (!this.reportingEnabled) { return;
/*     */     }
/* 124 */     reportIndented("Beginning...");
/* 125 */     begin();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void beginReporting(String message)
/*     */   {
/* 132 */     if (!this.reportingEnabled) return;
/* 133 */     reportIndented(message + "...");
/* 134 */     begin();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void endReporting()
/*     */   {
/* 141 */     if (!this.reportingEnabled) return;
/* 142 */     reportIndented("... took " + end() + " ms");
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void endReporting(String message)
/*     */   {
/* 149 */     if (!this.reportingEnabled) return;
/* 150 */     reportIndented("... took " + end() + " ms: " + message);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void report(String message)
/*     */   {
/* 157 */     if (!this.reportingEnabled) return;
/* 158 */     reportIndented(message);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void report(String optionalTitle, Object o)
/*     */   {
/* 168 */     if (!this.reportingEnabled) { return;
/*     */     }
/* 170 */     String prefix = optionalTitle + ": " + (optionalTitle.length() < "                       ".length() ? "                       ".substring(optionalTitle.length()) : "");
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 176 */     if (o == null) {
/* 177 */       reportIndented(prefix + "(undefined)");
/*     */     }
/* 179 */     else if (o.getClass().isArray()) {
/* 180 */       Object[] oa = (Object[])o;
/* 181 */       if (oa.length == 0) {
/* 182 */         reportIndented(prefix + "(empty)");
/*     */       }
/* 184 */       else if (oa.length == 1) {
/* 185 */         reportIndented(prefix + oa[0].toString());
/*     */       } else {
/* 187 */         reportIndented(optionalTitle + ':');
/* 188 */         begin();
/*     */         try {
/* 190 */           for (int i = 0; i < oa.length; i++) report(null, oa[i]);
/*     */         } finally {
/* 192 */           end();
/*     */         }
/*     */       }
/*     */     }
/*     */     else {
/* 197 */       reportIndented(prefix + o.toString());
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private void reportIndented(String message)
/*     */   {
/* 207 */     StringBuffer sb = new StringBuffer();
/* 208 */     for (int i = this.beginTimes.size(); i > 0; i--) sb.append("  ");
/* 209 */     sb.append(message);
/* 210 */     this.reporter.report(sb.toString());
/*     */   }
/*     */   
/*     */   public static abstract interface Reporter
/*     */   {
/*     */     public abstract void report(String paramString);
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\org\codehaus\janino\util\Benchmark.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */