/*    */ import java.io.PrintStream;
/*    */ import java.lang.management.ManagementFactory;
/*    */ import java.lang.management.ThreadMXBean;
/*    */ import java.util.concurrent.CountDownLatch;
/*    */ import java.util.concurrent.atomic.AtomicLong;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class MultiCoreTester
/*    */ {
/*    */   private static final int THREADS = 8;
/*    */   private static final int CYCLES = 1000000000;
/* 29 */   private static CountDownLatch ct = new CountDownLatch(8);
/* 30 */   private static AtomicLong total = new AtomicLong();
/*    */   
/*    */   public static void main(String[] args) throws InterruptedException
/*    */   {
/* 34 */     System.out.println("Working... ");
/* 35 */     long elapsedTime = System.nanoTime();
/* 36 */     for (int i = 0; i < 8; i++) {
/* 37 */       Thread thread = new Thread() {
/*    */         public void run() {
/* 39 */           MultiCoreTester.total.addAndGet(MultiCoreTester.access$000());
/* 40 */           MultiCoreTester.ct.countDown();
/*    */         }
/* 42 */       };
/* 43 */       thread.start();
/*    */     }
/* 45 */     ct.await();
/* 46 */     elapsedTime = System.nanoTime() - elapsedTime;
/* 47 */     System.out.println("Total elapsed time " + elapsedTime);
/* 48 */     System.out.println("Total thread CPU time " + total.get());
/* 49 */     double factor = total.get();
/* 50 */     factor /= elapsedTime;
/* 51 */     System.out.printf("Factor: %.2f%n", new Object[] { Double.valueOf(factor) });
/* 52 */     int cpuReported = Runtime.getRuntime().availableProcessors();
/* 53 */     System.out.println("\nResults:");
/* 54 */     System.out.printf("Java report on CPU count : %d%n", new Object[] { Integer.valueOf(cpuReported) });
/* 55 */     System.out.printf("Calculated CPU count : %d%n", new Object[] { Long.valueOf(Math.round(factor)) });
/*    */   }
/*    */   
/*    */   private static long measureThreadCpuTime() {
/* 59 */     ThreadMXBean tm = ManagementFactory.getThreadMXBean();
/* 60 */     long cpuTime = tm.getCurrentThreadCpuTime();
/* 61 */     long total = 0L;
/* 62 */     for (int i = 0; i < 1000000000; i++)
/*    */     {
/*    */ 
/*    */ 
/*    */ 
/* 67 */       total += i;
/* 68 */       total *= 10L;
/*    */     }
/* 70 */     cpuTime = tm.getCurrentThreadCpuTime() - cpuTime;
/* 71 */     System.out.println(total + " ... " + Thread.currentThread() + ": cpuTime = " + cpuTime);
/*    */     
/* 73 */     return cpuTime;
/*    */   }
/*    */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-api-common-6.0.jar!\MultiCoreTester.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */