/*    */ package com.jaspersoft.jasperserver.jaxrs.client.apiadapters.authority.organizations.attributes;
/*    */ 
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.apiadapters.AbstractAdapter;
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.core.JerseyRequest;
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.core.RequestBuilder;
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.core.SessionStorage;
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.core.exceptions.handling.DefaultErrorHandler;
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.core.operationresult.OperationResult;
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.dto.attributes.TenantAttributesListWrapper;
/*    */ import java.util.Collection;
/*    */ import javax.ws.rs.core.MultivaluedHashMap;
/*    */ import javax.ws.rs.core.MultivaluedMap;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class OrganizationBatchAttributeAdapter
/*    */   extends AbstractAdapter
/*    */ {
/*    */   private String organizationId;
/* 21 */   private MultivaluedMap<String, String> params = new MultivaluedHashMap();
/*    */   
/*    */   public OrganizationBatchAttributeAdapter(SessionStorage sessionStorage, String organizationId) {
/* 24 */     super(sessionStorage);
/* 25 */     this.organizationId = organizationId;
/*    */   }
/*    */   
/*    */ 
/*    */   public OrganizationBatchAttributeAdapter(SessionStorage sessionStorage, String organizationId, Collection<String> attributesNames)
/*    */   {
/* 31 */     this(sessionStorage, organizationId);
/* 32 */     for (String attributeName : attributesNames) {
/* 33 */       this.params.add("name", attributeName);
/*    */     }
/*    */   }
/*    */   
/*    */ 
/*    */   public OrganizationBatchAttributeAdapter(SessionStorage sessionStorage, String organizationId, String... attributesNames)
/*    */   {
/* 40 */     this(sessionStorage, organizationId);
/* 41 */     for (String attributeName : attributesNames) {
/* 42 */       this.params.add("name", attributeName);
/*    */     }
/*    */   }
/*    */   
/*    */   public OperationResult<TenantAttributesListWrapper> get() {
/* 47 */     return request().addParams(this.params).get();
/*    */   }
/*    */   
/*    */   public OperationResult<TenantAttributesListWrapper> createOrUpdate(TenantAttributesListWrapper entity) {
/* 51 */     return request().put(entity);
/*    */   }
/*    */   
/*    */   public OperationResult<TenantAttributesListWrapper> delete() {
/* 55 */     return request().addParams(this.params).delete();
/*    */   }
/*    */   
/*    */   private JerseyRequest<TenantAttributesListWrapper> request() {
/* 59 */     return JerseyRequest.buildRequest(this.sessionStorage, TenantAttributesListWrapper.class, new String[] { "/organizations/" + this.organizationId + "/attributes" }, new DefaultErrorHandler());
/*    */   }
/*    */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\apiadapters\authority\organizations\attributes\OrganizationBatchAttributeAdapter.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */