/*    */ package com.jaspersoft.jasperserver.jaxrs.client.apiadapters.jobs;
/*    */ 
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.core.exceptions.ValidationException;
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.core.exceptions.handling.DefaultErrorHandler;
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.dto.common.ErrorDescriptor;
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.dto.common.ValidationError;
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.dto.common.ValidationErrorsListWrapper;
/*    */ import java.util.ArrayList;
/*    */ import java.util.List;
/*    */ import javax.ws.rs.core.Response;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class JobValidationErrorHandler
/*    */   extends DefaultErrorHandler
/*    */ {
/*    */   protected void handleBodyError(Response response)
/*    */   {
/* 38 */     if ((response.getHeaderString("Content-Type").contains("xml")) || (response.getHeaderString("Content-Type").contains("json"))) {
/* 39 */       ValidationErrorsListWrapper validationErrors = (ValidationErrorsListWrapper)readBody(response, ValidationErrorsListWrapper.class);
/* 40 */       if (validationErrors == null) {
/* 41 */         super.handleBodyError(response);
/* 42 */         return;
/*    */       }
/* 44 */       List<ErrorDescriptor> errorDescriptors = toErrorDescriptorList(validationErrors);
/* 45 */       throw new ValidationException(generateErrorMessage(errorDescriptors), errorDescriptors);
/*    */     }
/* 47 */     super.handleBodyError(response);
/*    */   }
/*    */   
/*    */   protected List<ErrorDescriptor> toErrorDescriptorList(ValidationErrorsListWrapper validationErrors) {
/* 51 */     List<ErrorDescriptor> errorDescriptors = new ArrayList();
/* 52 */     List<ValidationError> errors = validationErrors.getErrors();
/* 53 */     for (ValidationError error : errors) {
/* 54 */       ErrorDescriptor errorDescriptor = new ErrorDescriptor();
/* 55 */       errorDescriptor.setMessage(error.toString() + " (field: " + error.getField() + ")");
/* 56 */       errorDescriptor.setErrorCode(error.getErrorCode());
/* 57 */       errorDescriptor.setParameters(error.getErrorArguments());
/* 58 */       errorDescriptors.add(errorDescriptor);
/*    */     }
/* 60 */     return errorDescriptors;
/*    */   }
/*    */   
/*    */   private String generateErrorMessage(List<ErrorDescriptor> errorDescriptors) {
/* 64 */     StringBuilder sb = new StringBuilder();
/* 65 */     if (errorDescriptors != null) {
/* 66 */       for (ErrorDescriptor errorDescriptor : errorDescriptors) {
/* 67 */         String message = errorDescriptor.getMessage();
/* 68 */         sb.append("\n\t\t").append(message != null ? message : errorDescriptor.getErrorCode());
/*    */       }
/*    */     }
/* 71 */     return sb.toString();
/*    */   }
/*    */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\apiadapters\jobs\JobValidationErrorHandler.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */