/*    */ package com.jaspersoft.jasperserver.jaxrs.client.apiadapters.resources.support.decorator;
/*    */ 
/*    */ import com.jaspersoft.jasperserver.dto.resources.ClientSemanticLayerDataSource;
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.apiadapters.resources.support.WrongResourceFormatException;
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.apiadapters.resources.support.processor.CommonOperationProcessorImpl;
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.core.SessionStorage;
/*    */ import com.jaspersoft.jasperserver.jaxrs.client.core.operationresult.OperationResult;
/*    */ import com.sun.jersey.multipart.FormDataMultiPart;
/*    */ import javax.ws.rs.core.MediaType;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public abstract class DomainResourceOperationProcessorDecorator
/*    */ {
/*    */   protected CommonOperationProcessorImpl<ClientSemanticLayerDataSource> processor;
/*    */   protected ClientSemanticLayerDataSource domain;
/*    */   protected FormDataMultiPart multipart;
/*    */   
/*    */   public DomainResourceOperationProcessorDecorator(SessionStorage sessionStorage, ClientSemanticLayerDataSource domain)
/*    */   {
/* 41 */     this.processor = new CommonOperationProcessorImpl(domain, domain.getClass(), sessionStorage);
/* 42 */     this.multipart = new FormDataMultiPart();
/* 43 */     this.domain = domain;
/*    */   }
/*    */   
/*    */   public OperationResult<ClientSemanticLayerDataSource> get() {
/* 47 */     if (this.domain.getUri() == null) {
/* 48 */       throw new WrongResourceFormatException("Can't find uri!");
/*    */     }
/* 50 */     return this.processor.get(this.domain.getUri());
/*    */   }
/*    */   
/*    */   public OperationResult<ClientSemanticLayerDataSource> createInFolder(String path) {
/* 54 */     return this.processor.create(this.multipart, new MediaType("application", "repository.semanticlayerdatasource+json"), path);
/*    */   }
/*    */   
/*    */   public CommonOperationProcessorImpl<ClientSemanticLayerDataSource> getProcessor() {
/* 58 */     return this.processor;
/*    */   }
/*    */   
/*    */   public ClientSemanticLayerDataSource getDomain() {
/* 62 */     return this.domain;
/*    */   }
/*    */   
/*    */   public FormDataMultiPart getMultipart() {
/* 66 */     return this.multipart;
/*    */   }
/*    */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\apiadapters\resources\support\decorator\DomainResourceOperationProcessorDecorator.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */