/*     */ package com.sun.xml.bind.v2.model.impl;
/*     */ 
/*     */ import com.sun.xml.bind.v2.model.core.ID;
/*     */ import com.sun.xml.bind.v2.model.core.NonElement;
/*     */ import com.sun.xml.bind.v2.model.core.PropertyInfo;
/*     */ import com.sun.xml.bind.v2.model.runtime.RuntimeNonElementRef;
/*     */ import com.sun.xml.bind.v2.model.runtime.RuntimePropertyInfo;
/*     */ import com.sun.xml.bind.v2.runtime.IllegalAnnotationException;
/*     */ import com.sun.xml.bind.v2.runtime.Transducer;
/*     */ import com.sun.xml.bind.v2.runtime.reflect.Accessor;
/*     */ import java.util.Collections;
/*     */ import java.util.List;
/*     */ import javax.xml.bind.annotation.XmlList;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ abstract class SingleTypePropertyInfoImpl<T, C, F, M>
/*     */   extends PropertyInfoImpl<T, C, F, M>
/*     */ {
/*     */   private NonElement<T, C> type;
/*     */   private final Accessor acc;
/*     */   private Transducer xducer;
/*     */   
/*     */   public SingleTypePropertyInfoImpl(ClassInfoImpl<T, C, F, M> classInfo, PropertySeed<T, C, F, M> seed)
/*     */   {
/*  35 */     super(classInfo, seed);
/*  36 */     if ((this instanceof RuntimePropertyInfo)) {
/*  37 */       Accessor rawAcc = ((RuntimeClassInfoImpl.RuntimePropertySeed)seed).getAccessor();
/*  38 */       if ((getAdapter() != null) && (!isCollection()))
/*     */       {
/*     */ 
/*  41 */         rawAcc = rawAcc.adapt(getAdapter()); }
/*  42 */       this.acc = rawAcc;
/*     */     } else {
/*  44 */       this.acc = null;
/*     */     }
/*     */   }
/*     */   
/*  48 */   public List<? extends NonElement<T, C>> ref() { return Collections.singletonList(getTarget()); }
/*     */   
/*     */   public NonElement<T, C> getTarget()
/*     */   {
/*  52 */     if (this.type == null) {
/*  53 */       assert (this.parent.builder != null) : "this method must be called during the build stage";
/*  54 */       this.type = this.parent.builder.getTypeInfo(getIndividualType(), this);
/*     */     }
/*  56 */     return this.type;
/*     */   }
/*     */   
/*     */   public PropertyInfo<T, C> getSource() {
/*  60 */     return this;
/*     */   }
/*     */   
/*     */   public void link() {
/*  64 */     super.link();
/*     */     
/*  66 */     if ((!this.type.isSimpleType()) && (id() != ID.IDREF)) {
/*  67 */       this.parent.builder.reportError(new IllegalAnnotationException(Messages.SIMPLE_TYPE_IS_REQUIRED.format(new Object[0]), this.seed));
/*     */     }
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*  73 */     if ((!isCollection()) && (this.seed.hasAnnotation(XmlList.class))) {
/*  74 */       this.parent.builder.reportError(new IllegalAnnotationException(Messages.XMLLIST_ON_SINGLE_PROPERTY.format(new Object[0]), this));
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Accessor getAccessor()
/*     */   {
/*  94 */     return this.acc;
/*     */   }
/*     */   
/*     */   public Transducer getTransducer()
/*     */   {
/*  99 */     if (this.xducer == null) {
/* 100 */       this.xducer = RuntimeModelBuilder.createTransducer((RuntimeNonElementRef)this);
/* 101 */       if (this.xducer == null)
/*     */       {
/*     */ 
/* 104 */         this.xducer = RuntimeBuiltinLeafInfoImpl.STRING;
/*     */       }
/*     */     }
/* 107 */     return this.xducer;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\target\myautosupport\WEB-INF\lib\jaxb-impl-2.0.3.jar!\com\sun\xml\bind\v2\model\impl\SingleTypePropertyInfoImpl.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */