/*    */ package com.sun.xml.bind.v2.runtime.property;
/*    */ 
/*    */ import com.sun.xml.bind.api.AccessorException;
/*    */ import com.sun.xml.bind.v2.model.core.PropertyKind;
/*    */ import com.sun.xml.bind.v2.model.runtime.RuntimeAttributePropertyInfo;
/*    */ import com.sun.xml.bind.v2.runtime.JAXBContextImpl;
/*    */ import com.sun.xml.bind.v2.runtime.Name;
/*    */ import com.sun.xml.bind.v2.runtime.NameBuilder;
/*    */ import com.sun.xml.bind.v2.runtime.XMLSerializer;
/*    */ import com.sun.xml.bind.v2.runtime.reflect.Accessor;
/*    */ import com.sun.xml.bind.v2.runtime.reflect.TransducedAccessor;
/*    */ import com.sun.xml.bind.v2.runtime.unmarshaller.ChildLoader;
/*    */ import com.sun.xml.bind.v2.util.QNameMap;
/*    */ import java.io.IOException;
/*    */ import javax.xml.stream.XMLStreamException;
/*    */ import org.xml.sax.SAXException;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public final class AttributeProperty<BeanT>
/*    */   extends PropertyImpl<BeanT>
/*    */   implements Comparable<AttributeProperty>
/*    */ {
/*    */   public final Name attName;
/*    */   public final TransducedAccessor<BeanT> xacc;
/*    */   private final Accessor acc;
/*    */   
/*    */   public AttributeProperty(JAXBContextImpl p, RuntimeAttributePropertyInfo prop)
/*    */   {
/* 51 */     super(p, prop);
/* 52 */     this.attName = p.nameBuilder.createAttributeName(prop.getXmlName());
/* 53 */     this.xacc = TransducedAccessor.get(prop);
/* 54 */     this.acc = prop.getAccessor();
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */ 
/*    */   public void serializeAttributes(BeanT o, XMLSerializer w)
/*    */     throws SAXException, AccessorException, IOException, XMLStreamException
/*    */   {
/* 63 */     CharSequence value = this.xacc.print(o);
/* 64 */     if (value != null)
/* 65 */       w.attribute(this.attName, value.toString());
/*    */   }
/*    */   
/*    */   public void serializeURIs(BeanT o, XMLSerializer w) throws AccessorException, SAXException {
/* 69 */     this.xacc.declareNamespace(o, w);
/*    */   }
/*    */   
/*    */   public boolean hasSerializeURIAction() {
/* 73 */     return this.xacc.useNamespace();
/*    */   }
/*    */   
/*    */   public void buildChildElementUnmarshallers(UnmarshallerChain chainElem, QNameMap<ChildLoader> handlers) {
/* 77 */     throw new IllegalStateException();
/*    */   }
/*    */   
/*    */   public PropertyKind getKind()
/*    */   {
/* 82 */     return PropertyKind.ATTRIBUTE;
/*    */   }
/*    */   
/*    */   public void reset(BeanT o) throws AccessorException {
/* 86 */     this.acc.set(o, null);
/*    */   }
/*    */   
/*    */   public String getIdValue(BeanT bean) throws AccessorException, SAXException {
/* 90 */     return this.xacc.print(bean).toString();
/*    */   }
/*    */   
/*    */   public int compareTo(AttributeProperty that) {
/* 94 */     return this.attName.compareTo(that.attName);
/*    */   }
/*    */ }


/* Location:              C:\Perforce\MyAsup\dev\target\myautosupport\WEB-INF\lib\jaxb-impl-2.0.3.jar!\com\sun\xml\bind\v2\runtime\property\AttributeProperty.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */