/*    */ package com.sun.xml.bind.v2.runtime.unmarshaller;
/*    */ 
/*    */ import com.sun.xml.bind.api.AccessorException;
/*    */ import com.sun.xml.bind.v2.runtime.reflect.Accessor;
/*    */ import com.sun.xml.bind.v2.runtime.reflect.Lister;
/*    */ import org.xml.sax.SAXException;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public final class Scope<BeanT, PropT, ItemT, PackT>
/*    */ {
/*    */   public final UnmarshallingContext context;
/*    */   private BeanT bean;
/*    */   private Accessor<BeanT, PropT> acc;
/*    */   private PackT pack;
/*    */   private Lister<BeanT, PropT, ItemT, PackT> lister;
/*    */   
/*    */   Scope(UnmarshallingContext context)
/*    */   {
/* 27 */     this.context = context;
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */   public boolean hasStarted()
/*    */   {
/* 34 */     return this.bean != null;
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */   public void reset()
/*    */   {
/* 41 */     if (this.bean == null)
/*    */     {
/* 43 */       assert (clean());
/* 44 */       return;
/*    */     }
/*    */     
/* 47 */     this.bean = null;
/* 48 */     this.acc = null;
/* 49 */     this.pack = null;
/* 50 */     this.lister = null;
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */   public void finish()
/*    */     throws AccessorException
/*    */   {
/* 58 */     if (hasStarted()) {
/* 59 */       this.lister.endPacking(this.pack, this.bean, this.acc);
/* 60 */       reset();
/*    */     }
/* 62 */     assert (clean());
/*    */   }
/*    */   
/*    */   private boolean clean() {
/* 66 */     return (this.bean == null) && (this.acc == null) && (this.pack == null) && (this.lister == null);
/*    */   }
/*    */   
/*    */   public void add(Accessor<BeanT, PropT> acc, Lister<BeanT, PropT, ItemT, PackT> lister, ItemT value)
/*    */     throws SAXException
/*    */   {
/*    */     try
/*    */     {
/* 74 */       if (!hasStarted()) {
/* 75 */         this.bean = this.context.getCurrentState().target;
/* 76 */         this.acc = acc;
/* 77 */         this.lister = lister;
/* 78 */         this.pack = lister.startPacking(this.bean, acc);
/*    */       }
/*    */       
/* 81 */       lister.addToPack(this.pack, value);
/*    */     } catch (AccessorException e) {
/* 83 */       Loader.handleGenericException(e, true);
/*    */       
/* 85 */       this.lister = Lister.ERROR;
/* 86 */       this.acc = Accessor.ERROR;
/*    */     }
/*    */   }
/*    */ }


/* Location:              C:\Perforce\MyAsup\dev\target\myautosupport\WEB-INF\lib\jaxb-impl-2.0.3.jar!\com\sun\xml\bind\v2\runtime\unmarshaller\Scope.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */