/*    */ package net.sf.sevenzipjbinding.simple.impl;
/*    */ 
/*    */ import net.sf.sevenzipjbinding.ISevenZipInArchive;
/*    */ import net.sf.sevenzipjbinding.SevenZipException;
/*    */ import net.sf.sevenzipjbinding.simple.ISimpleInArchive;
/*    */ import net.sf.sevenzipjbinding.simple.ISimpleInArchiveItem;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class SimpleInArchiveImpl
/*    */   implements ISimpleInArchive
/*    */ {
/*    */   private final ISevenZipInArchive sevenZipInArchive;
/* 16 */   private boolean wasClosed = false;
/*    */   
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   public SimpleInArchiveImpl(ISevenZipInArchive paramISevenZipInArchive)
/*    */   {
/* 25 */     this.sevenZipInArchive = paramISevenZipInArchive;
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */   public void close()
/*    */     throws SevenZipException
/*    */   {
/* 33 */     this.sevenZipInArchive.close();
/* 34 */     this.wasClosed = true;
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */   public ISimpleInArchiveItem[] getArchiveItems()
/*    */     throws SevenZipException
/*    */   {
/* 42 */     ISimpleInArchiveItem[] arrayOfISimpleInArchiveItem = new ISimpleInArchiveItem[getNumberOfItems()];
/* 43 */     for (int i = 0; i < arrayOfISimpleInArchiveItem.length; i++) {
/* 44 */       arrayOfISimpleInArchiveItem[i] = new SimpleInArchiveItemImpl(this, i);
/*    */     }
/* 46 */     return arrayOfISimpleInArchiveItem;
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */   public int getNumberOfItems()
/*    */     throws SevenZipException
/*    */   {
/* 54 */     return testAndGetSafeSevenZipInArchive().getNumberOfItems();
/*    */   }
/*    */   
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   public ISevenZipInArchive testAndGetSafeSevenZipInArchive()
/*    */     throws SevenZipException
/*    */   {
/* 65 */     if (this.wasClosed) {
/* 66 */       throw new SevenZipException("Archive was closed");
/*    */     }
/* 68 */     return this.sevenZipInArchive;
/*    */   }
/*    */   
/*    */ 
/*    */   public ISimpleInArchiveItem getArchiveItem(int paramInt)
/*    */     throws SevenZipException
/*    */   {
/* 75 */     if ((paramInt < 0) || (paramInt >= this.sevenZipInArchive.getNumberOfItems())) {
/* 76 */       throw new SevenZipException("Index " + paramInt + " is out of range. Number of items in archive: " + this.sevenZipInArchive.getNumberOfItems());
/*    */     }
/*    */     
/* 79 */     return new SimpleInArchiveItemImpl(this, paramInt);
/*    */   }
/*    */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\sevenzipjbinding.jar!\net\sf\sevenzipjbinding\simple\impl\SimpleInArchiveImpl.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */