/*    */ package org.apache.avro.io;
/*    */ 
/*    */ import java.io.IOException;
/*    */ import org.apache.avro.io.parsing.Parser.ActionHandler;
/*    */ import org.apache.avro.io.parsing.SkipParser;
/*    */ import org.apache.avro.io.parsing.SkipParser.SkipHandler;
/*    */ import org.apache.avro.io.parsing.Symbol;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public abstract class ParsingDecoder
/*    */   extends Decoder
/*    */   implements Parser.ActionHandler, SkipParser.SkipHandler
/*    */ {
/*    */   protected final SkipParser parser;
/*    */   
/*    */   protected ParsingDecoder(Symbol root)
/*    */     throws IOException
/*    */   {
/* 34 */     this.parser = new SkipParser(root, this, this);
/*    */   }
/*    */   
/*    */   protected abstract void skipFixed() throws IOException;
/*    */   
/*    */   public void skipAction() throws IOException
/*    */   {
/* 41 */     this.parser.popSymbol();
/*    */   }
/*    */   
/*    */   public void skipTopSymbol() throws IOException
/*    */   {
/* 46 */     Symbol top = this.parser.topSymbol();
/* 47 */     if (top == Symbol.NULL)
/* 48 */       readNull();
/* 49 */     if (top == Symbol.BOOLEAN) {
/* 50 */       readBoolean();
/* 51 */     } else if (top == Symbol.INT) {
/* 52 */       readInt();
/* 53 */     } else if (top == Symbol.LONG) {
/* 54 */       readLong();
/* 55 */     } else if (top == Symbol.FLOAT) {
/* 56 */       readFloat();
/* 57 */     } else if (top == Symbol.DOUBLE) {
/* 58 */       readDouble();
/* 59 */     } else if (top == Symbol.STRING) {
/* 60 */       skipString();
/* 61 */     } else if (top == Symbol.BYTES) {
/* 62 */       skipBytes();
/* 63 */     } else if (top == Symbol.ENUM) {
/* 64 */       readEnum();
/* 65 */     } else if (top == Symbol.FIXED) {
/* 66 */       skipFixed();
/* 67 */     } else if (top == Symbol.UNION) {
/* 68 */       readIndex();
/* 69 */     } else if (top == Symbol.ARRAY_START) {
/* 70 */       skipArray();
/* 71 */     } else if (top == Symbol.MAP_START) {
/* 72 */       skipMap();
/*    */     }
/*    */   }
/*    */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\org\apache\avro\io\ParsingDecoder.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */