/*     */ package org.apache.avro.reflect;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.lang.reflect.Array;
/*     */ import java.util.Collection;
/*     */ import java.util.Iterator;
/*     */ import org.apache.avro.Schema;
/*     */ import org.apache.avro.io.Encoder;
/*     */ import org.apache.avro.specific.SpecificDatumWriter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ReflectDatumWriter<T>
/*     */   extends SpecificDatumWriter<T>
/*     */ {
/*     */   public ReflectDatumWriter()
/*     */   {
/*  35 */     this(ReflectData.get());
/*     */   }
/*     */   
/*     */   public ReflectDatumWriter(Class<T> c) {
/*  39 */     this(c, ReflectData.get());
/*     */   }
/*     */   
/*     */   public ReflectDatumWriter(Class<T> c, ReflectData data) {
/*  43 */     this(data.getSchema(c), data);
/*     */   }
/*     */   
/*     */   public ReflectDatumWriter(Schema root) {
/*  47 */     this(root, ReflectData.get());
/*     */   }
/*     */   
/*     */   protected ReflectDatumWriter(Schema root, ReflectData reflectData) {
/*  51 */     super(root, reflectData);
/*     */   }
/*     */   
/*     */   protected ReflectDatumWriter(ReflectData reflectData) {
/*  55 */     super(reflectData);
/*     */   }
/*     */   
/*     */ 
/*     */   protected long getArraySize(Object array)
/*     */   {
/*  61 */     if ((array instanceof Collection))
/*  62 */       return ((Collection)array).size();
/*  63 */     return Array.getLength(array);
/*     */   }
/*     */   
/*     */ 
/*     */   protected Iterator<Object> getArrayElements(final Object array)
/*     */   {
/*  69 */     if ((array instanceof Collection))
/*  70 */       return ((Collection)array).iterator();
/*  71 */     new Iterator() {
/*  72 */       private int i = 0;
/*  73 */       private final int length = Array.getLength(array);
/*  74 */       public boolean hasNext() { return this.i < this.length; }
/*  75 */       public Object next() { return Array.get(array, this.i++); }
/*  76 */       public void remove() { throw new UnsupportedOperationException(); }
/*     */     };
/*     */   }
/*     */   
/*     */   protected void writeString(Schema schema, Object datum, Encoder out)
/*     */     throws IOException
/*     */   {
/*  83 */     if (schema.getProp("java-class") != null)
/*  84 */       datum = datum.toString();
/*  85 */     writeString(datum, out);
/*     */   }
/*     */   
/*     */   protected void writeBytes(Object datum, Encoder out) throws IOException
/*     */   {
/*  90 */     if ((datum instanceof byte[])) {
/*  91 */       out.writeBytes((byte[])datum);
/*     */     } else {
/*  93 */       super.writeBytes(datum, out);
/*     */     }
/*     */   }
/*     */   
/*     */   protected void write(Schema schema, Object datum, Encoder out) throws IOException
/*     */   {
/*  99 */     if ((datum instanceof Byte)) {
/* 100 */       datum = Integer.valueOf(((Byte)datum).intValue());
/* 101 */     } else if ((datum instanceof Short))
/* 102 */       datum = Integer.valueOf(((Short)datum).intValue());
/*     */     try {
/* 104 */       super.write(schema, datum, out);
/*     */     } catch (NullPointerException e) {
/* 106 */       NullPointerException result = new NullPointerException("in " + schema.getFullName() + " " + e.getMessage());
/*     */       
/* 108 */       result.initCause(e.getCause() == null ? e : e.getCause());
/* 109 */       throw result;
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\org\apache\avro\reflect\ReflectDatumWriter.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */