/*     */ package org.codehaus.jackson.map.util;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import org.codehaus.jackson.JsonGenerator;
/*     */ import org.codehaus.jackson.JsonProcessingException;
/*     */ import org.codehaus.jackson.map.JsonSerializableWithType;
/*     */ import org.codehaus.jackson.map.JsonSerializer;
/*     */ import org.codehaus.jackson.map.SerializerProvider;
/*     */ import org.codehaus.jackson.map.TypeSerializer;
/*     */ import org.codehaus.jackson.map.type.TypeFactory;
/*     */ import org.codehaus.jackson.type.JavaType;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class JSONPObject
/*     */   implements JsonSerializableWithType
/*     */ {
/*     */   protected final String _function;
/*     */   protected final Object _value;
/*     */   protected final JavaType _serializationType;
/*     */   
/*     */   public JSONPObject(String function, Object value)
/*     */   {
/*  42 */     this(function, value, (JavaType)null);
/*     */   }
/*     */   
/*     */   public JSONPObject(String function, Object value, JavaType asType)
/*     */   {
/*  47 */     this._function = function;
/*  48 */     this._value = value;
/*  49 */     this._serializationType = asType;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   @Deprecated
/*     */   public JSONPObject(String function, Object value, Class<?> rawType)
/*     */   {
/*  58 */     this._function = function;
/*  59 */     this._value = value;
/*  60 */     this._serializationType = (rawType == null ? null : TypeFactory.defaultInstance().constructType(rawType));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void serializeWithType(JsonGenerator jgen, SerializerProvider provider, TypeSerializer typeSer)
/*     */     throws IOException, JsonProcessingException
/*     */   {
/*  73 */     serialize(jgen, provider);
/*     */   }
/*     */   
/*     */ 
/*     */   public void serialize(JsonGenerator jgen, SerializerProvider provider)
/*     */     throws IOException, JsonProcessingException
/*     */   {
/*  80 */     jgen.writeRaw(this._function);
/*  81 */     jgen.writeRaw('(');
/*  82 */     if (this._value == null) {
/*  83 */       provider.defaultSerializeNull(jgen);
/*  84 */     } else if (this._serializationType != null) {
/*  85 */       provider.findTypedValueSerializer(this._serializationType, true, null).serialize(this._value, jgen, provider);
/*     */     } else {
/*  87 */       Class<?> cls = this._value.getClass();
/*  88 */       provider.findTypedValueSerializer(cls, true, null).serialize(this._value, jgen, provider);
/*     */     }
/*  90 */     jgen.writeRaw(')');
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  99 */   public String getFunction() { return this._function; }
/* 100 */   public Object getValue() { return this._value; }
/* 101 */   public JavaType getSerializationType() { return this._serializationType; }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\org\codehaus\jackson\map\util\JSONPObject.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */