/*    */ package org.codehaus.janino;
/*    */ 
/*    */ import java.io.IOException;
/*    */ import java.io.InputStream;
/*    */ import org.codehaus.janino.util.ClassFile;
/*    */ import org.codehaus.janino.util.resource.Resource;
/*    */ import org.codehaus.janino.util.resource.ResourceFinder;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class ResourceFinderIClassLoader
/*    */   extends IClassLoader
/*    */ {
/*    */   private final ResourceFinder resourceFinder;
/*    */   
/*    */   public ResourceFinderIClassLoader(ResourceFinder resourceFinder, IClassLoader optionalParentIClassLoader)
/*    */   {
/* 47 */     super(optionalParentIClassLoader);
/* 48 */     this.resourceFinder = resourceFinder;
/* 49 */     postConstruct();
/*    */   }
/*    */   
/*    */   protected IClass findIClass(String descriptor) throws ClassNotFoundException {
/* 53 */     String className = Descriptor.toClassName(descriptor);
/*    */     
/*    */ 
/* 56 */     Resource classFileResource = this.resourceFinder.findResource(ClassFile.getClassFileResourceName(className));
/* 57 */     if (classFileResource == null) { return null;
/*    */     }
/*    */     InputStream is;
/*    */     try
/*    */     {
/* 62 */       is = classFileResource.open();
/*    */     } catch (IOException ex) {
/* 64 */       throw new ClassNotFoundException("Opening resource \"" + classFileResource.getFileName() + "\"", ex);
/*    */     }
/*    */     
/*    */ 
/*    */     try
/*    */     {
/* 70 */       ClassFile cf = new ClassFile(is);
/*    */       
/*    */       try
/*    */       {
/* 74 */         is.close();
/*    */       } catch (IOException e) {}
/* 76 */       iClass = new ClassFileIClass(cf, this);
/*    */     }
/*    */     catch (IOException e)
/*    */     {
/* 72 */       throw new ClassNotFoundException("Reading resource \"" + classFileResource.getFileName() + "\"", e);
/*    */     } finally {
/* 74 */       try { is.close();
/*    */       } catch (IOException e) {} }
/*    */     IClass iClass;
/* 77 */     defineIClass(iClass);
/* 78 */     return iClass;
/*    */   }
/*    */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\org\codehaus\janino\ResourceFinderIClassLoader.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */