package prefuse.action.assignment;

import java.util.logging.Logger;
import prefuse.action.ItemAction;
import prefuse.data.expression.Predicate;
import prefuse.data.expression.parser.ExpressionParser;
import prefuse.util.ColorLib;
import prefuse.util.PredicateChain;
import prefuse.util.PrefuseLib;
import prefuse.visual.VisualItem;

public class ColorAction
  extends ItemAction
{
  protected PredicateChain m_chain = null;
  protected String m_colorField;
  protected String m_startField;
  protected String m_endField;
  protected int m_cidx;
  protected int m_sidx;
  protected int m_eidx;
  protected int m_defaultColor = ColorLib.gray(0);
  
  public ColorAction(String paramString1, String paramString2)
  {
    super(paramString1);
    setField(paramString2);
  }
  
  public ColorAction(String paramString1, String paramString2, int paramInt)
  {
    this(paramString1, paramString2);
    setDefaultColor(paramInt);
  }
  
  public void setField(String paramString)
  {
    this.m_colorField = paramString;
    this.m_startField = PrefuseLib.getStartField(paramString);
    this.m_endField = PrefuseLib.getEndField(paramString);
  }
  
  public int getDefaultColor()
  {
    return this.m_defaultColor;
  }
  
  public void setDefaultColor(int paramInt)
  {
    this.m_defaultColor = paramInt;
  }
  
  public void add(Predicate paramPredicate, int paramInt)
  {
    if (this.m_chain == null) {
      this.m_chain = new PredicateChain();
    }
    this.m_chain.add(paramPredicate, new Integer(paramInt));
  }
  
  public void add(String paramString, int paramInt)
  {
    Predicate localPredicate = (Predicate)ExpressionParser.parse(paramString);
    add(localPredicate, paramInt);
  }
  
  public void add(Predicate paramPredicate, ColorAction paramColorAction)
  {
    if (this.m_chain == null) {
      this.m_chain = new PredicateChain();
    }
    this.m_chain.add(paramPredicate, paramColorAction);
  }
  
  public void add(String paramString, ColorAction paramColorAction)
  {
    Predicate localPredicate = (Predicate)ExpressionParser.parse(paramString);
    add(localPredicate, paramColorAction);
  }
  
  public void process(VisualItem paramVisualItem, double paramDouble)
  {
    int i = getColor(paramVisualItem);
    int j = paramVisualItem.getInt(this.m_colorField);
    paramVisualItem.setInt(this.m_startField, j);
    paramVisualItem.setInt(this.m_endField, i);
    paramVisualItem.setInt(this.m_colorField, i);
  }
  
  public int getColor(VisualItem paramVisualItem)
  {
    if (this.m_chain != null)
    {
      Object localObject = this.m_chain.get(paramVisualItem);
      if (localObject != null)
      {
        if ((localObject instanceof ColorAction)) {
          return ((ColorAction)localObject).getColor(paramVisualItem);
        }
        if ((localObject instanceof Integer)) {
          return ((Integer)localObject).intValue();
        }
        Logger.getLogger(getClass().getName()).warning("Unrecognized Object from predicate chain.");
      }
    }
    return this.m_defaultColor;
  }
}


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\prefuse\action\assignment\ColorAction.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */