package prefuse.controls;

import java.awt.event.MouseEvent;
import java.awt.geom.Point2D;
import java.awt.geom.Point2D.Double;
import prefuse.Display;
import prefuse.Visualization;
import prefuse.action.layout.Layout;
import prefuse.visual.VisualItem;

public class AnchorUpdateControl
  extends ControlAdapter
{
  private boolean m_anchorOverItem;
  private Layout[] m_layouts;
  private String m_action;
  private Point2D m_tmp = new Point2D.Double();
  
  public AnchorUpdateControl(Layout paramLayout)
  {
    this(paramLayout, null);
  }
  
  public AnchorUpdateControl(Layout paramLayout, String paramString)
  {
    this(new Layout[] { paramLayout }, paramString);
  }
  
  public AnchorUpdateControl(Layout paramLayout, String paramString, boolean paramBoolean)
  {
    this(new Layout[] { paramLayout }, paramString, paramBoolean);
  }
  
  public AnchorUpdateControl(Layout[] paramArrayOfLayout, String paramString)
  {
    this(paramArrayOfLayout, paramString, true);
  }
  
  public AnchorUpdateControl(Layout[] paramArrayOfLayout, String paramString, boolean paramBoolean)
  {
    this.m_layouts = ((Layout[])paramArrayOfLayout.clone());
    this.m_action = paramString;
    this.m_anchorOverItem = paramBoolean;
  }
  
  public void mouseExited(MouseEvent paramMouseEvent)
  {
    for (int i = 0; i < this.m_layouts.length; i++) {
      this.m_layouts[i].setLayoutAnchor(null);
    }
    runAction(paramMouseEvent);
  }
  
  public void mouseMoved(MouseEvent paramMouseEvent)
  {
    moveEvent(paramMouseEvent);
  }
  
  public void mouseDragged(MouseEvent paramMouseEvent)
  {
    moveEvent(paramMouseEvent);
  }
  
  public void itemDragged(VisualItem paramVisualItem, MouseEvent paramMouseEvent)
  {
    if (this.m_anchorOverItem) {
      moveEvent(paramMouseEvent);
    }
  }
  
  public void itemMoved(VisualItem paramVisualItem, MouseEvent paramMouseEvent)
  {
    if (this.m_anchorOverItem) {
      moveEvent(paramMouseEvent);
    }
  }
  
  public void moveEvent(MouseEvent paramMouseEvent)
  {
    Display localDisplay = (Display)paramMouseEvent.getSource();
    localDisplay.getAbsoluteCoordinate(paramMouseEvent.getPoint(), this.m_tmp);
    for (int i = 0; i < this.m_layouts.length; i++) {
      this.m_layouts[i].setLayoutAnchor(this.m_tmp);
    }
    runAction(paramMouseEvent);
  }
  
  private void runAction(MouseEvent paramMouseEvent)
  {
    if (this.m_action != null)
    {
      Display localDisplay = (Display)paramMouseEvent.getSource();
      localDisplay.getVisualization().run(this.m_action);
    }
  }
}


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\prefuse\controls\AnchorUpdateControl.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */