package prefuse.data.expression;

import prefuse.data.Tuple;
import prefuse.data.event.ExpressionListener;
import prefuse.util.collections.CopyOnWriteArrayList;

public abstract class AbstractExpression
  implements Expression, ExpressionListener
{
  private CopyOnWriteArrayList m_listeners = new CopyOnWriteArrayList();
  
  public void visit(ExpressionVisitor paramExpressionVisitor)
  {
    paramExpressionVisitor.visitExpression(this);
  }
  
  public final void addExpressionListener(ExpressionListener paramExpressionListener)
  {
    if (!this.m_listeners.contains(paramExpressionListener))
    {
      this.m_listeners.add(paramExpressionListener);
      addChildListeners();
    }
  }
  
  public final void removeExpressionListener(ExpressionListener paramExpressionListener)
  {
    this.m_listeners.remove(paramExpressionListener);
    if (this.m_listeners.size() == 0) {
      removeChildListeners();
    }
  }
  
  protected final boolean hasListeners()
  {
    return (this.m_listeners != null) && (this.m_listeners.size() > 0);
  }
  
  protected final void fireExpressionChange()
  {
    Object[] arrayOfObject = this.m_listeners.getArray();
    for (int i = 0; i < arrayOfObject.length; i++) {
      ((ExpressionListener)arrayOfObject[i]).expressionChanged(this);
    }
  }
  
  protected void addChildListeners() {}
  
  protected void removeChildListeners() {}
  
  public void expressionChanged(Expression paramExpression)
  {
    fireExpressionChange();
  }
  
  public Object get(Tuple paramTuple)
  {
    throw new UnsupportedOperationException();
  }
  
  public int getInt(Tuple paramTuple)
  {
    throw new UnsupportedOperationException();
  }
  
  public long getLong(Tuple paramTuple)
  {
    throw new UnsupportedOperationException();
  }
  
  public float getFloat(Tuple paramTuple)
  {
    throw new UnsupportedOperationException();
  }
  
  public double getDouble(Tuple paramTuple)
  {
    throw new UnsupportedOperationException();
  }
  
  public boolean getBoolean(Tuple paramTuple)
  {
    throw new UnsupportedOperationException();
  }
}


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\prefuse\data\expression\AbstractExpression.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */