package prefuse.data.query;

import java.util.HashMap;
import java.util.Map;
import javax.swing.DefaultBoundedRangeModel;
import prefuse.util.ui.ValuedRangeModel;

public class ObjectRangeModel
  extends DefaultBoundedRangeModel
  implements ValuedRangeModel
{
  private Object[] m_objects;
  private Map m_ordinal;
  
  public ObjectRangeModel(Object[] paramArrayOfObject)
  {
    setValueRange(paramArrayOfObject);
  }
  
  public void setValueRange(Object[] paramArrayOfObject)
  {
    if ((this.m_objects != null) && (paramArrayOfObject.length == this.m_objects.length))
    {
      i = 1;
      for (int j = 0; j < paramArrayOfObject.length; j++) {
        if (paramArrayOfObject[j] != this.m_objects[j])
        {
          i = 0;
          break;
        }
      }
      if (i != 0) {
        return;
      }
    }
    this.m_objects = new Object[paramArrayOfObject.length];
    System.arraycopy(paramArrayOfObject, 0, this.m_objects, 0, paramArrayOfObject.length);
    if (this.m_ordinal == null) {
      this.m_ordinal = new HashMap();
    } else {
      this.m_ordinal.clear();
    }
    for (int i = 0; i < paramArrayOfObject.length; i++) {
      this.m_ordinal.put(paramArrayOfObject[i], new Integer(i));
    }
    setRangeProperties(0, paramArrayOfObject.length - 1, 0, paramArrayOfObject.length - 1, false);
  }
  
  public Object getObject(int paramInt)
  {
    return this.m_objects[paramInt];
  }
  
  public int getIndex(Object paramObject)
  {
    Integer localInteger = (Integer)this.m_ordinal.get(paramObject);
    return localInteger == null ? -1 : localInteger.intValue();
  }
  
  public Object getMinValue()
  {
    return this.m_objects[getMinimum()];
  }
  
  public Object getMaxValue()
  {
    return this.m_objects[getMaximum()];
  }
  
  public Object getLowValue()
  {
    return this.m_objects[getValue()];
  }
  
  public Object getHighValue()
  {
    return this.m_objects[(getValue() + getExtent())];
  }
}


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\prefuse\data\query\ObjectRangeModel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */