package prefuse.util.ui;

import java.awt.Color;
import java.awt.Component;
import java.awt.ComponentOrientation;
import java.awt.Container;
import java.awt.Font;
import java.awt.event.InputEvent;
import javax.swing.Box;
import javax.swing.JComponent;
import javax.swing.UIManager;

public class UILib
{
  public static boolean isButtonPressed(InputEvent paramInputEvent, int paramInt)
  {
    return (paramInputEvent.getModifiers() & paramInt) == paramInt;
  }
  
  public static final void setPlatformLookAndFeel()
  {
    try
    {
      String str = UIManager.getSystemLookAndFeelClassName();
      UIManager.setLookAndFeel(str);
    }
    catch (Exception localException) {}
  }
  
  public static Box getBox(Component[] paramArrayOfComponent, boolean paramBoolean, int paramInt1, int paramInt2)
  {
    return getBox(paramArrayOfComponent, paramBoolean, paramInt1, paramInt1, paramInt2);
  }
  
  public static Box getBox(Component[] paramArrayOfComponent, boolean paramBoolean, int paramInt1, int paramInt2, int paramInt3)
  {
    Box localBox = new Box(paramBoolean ? 0 : 1);
    addStrut(localBox, paramBoolean, paramInt1);
    for (int i = 0; i < paramArrayOfComponent.length; i++)
    {
      if (i > 0)
      {
        addStrut(localBox, paramBoolean, paramInt3);
        addGlue(localBox, paramBoolean);
      }
      localBox.add(paramArrayOfComponent[i]);
    }
    addStrut(localBox, paramBoolean, paramInt2);
    return localBox;
  }
  
  public static void addStrut(JComponent paramJComponent, boolean paramBoolean, int paramInt)
  {
    if (paramInt < 1) {
      return;
    }
    paramJComponent.add(paramBoolean ? Box.createHorizontalStrut(paramInt) : Box.createVerticalStrut(paramInt));
  }
  
  public static void addGlue(JComponent paramJComponent, boolean paramBoolean)
  {
    paramJComponent.add(paramBoolean ? Box.createHorizontalGlue() : Box.createVerticalGlue());
  }
  
  public static void addStrut(JComponent paramJComponent, int paramInt1, int paramInt2)
  {
    if (paramInt2 < 1) {
      return;
    }
    paramJComponent.add(getAxis(paramJComponent, paramInt1) == 0 ? Box.createHorizontalStrut(paramInt2) : Box.createVerticalStrut(paramInt2));
  }
  
  public static void addGlue(JComponent paramJComponent, int paramInt)
  {
    paramJComponent.add(getAxis(paramJComponent, paramInt) == 0 ? Box.createHorizontalGlue() : Box.createVerticalGlue());
  }
  
  public static int getAxis(JComponent paramJComponent, int paramInt)
  {
    ComponentOrientation localComponentOrientation = paramJComponent.getComponentOrientation();
    switch (paramInt)
    {
    case 2: 
      return localComponentOrientation.isHorizontal() ? 0 : 1;
    case 3: 
      return localComponentOrientation.isHorizontal() ? 1 : 0;
    }
    return paramInt;
  }
  
  public static void setColor(Component paramComponent, Color paramColor1, Color paramColor2)
  {
    paramComponent.setBackground(paramColor1);
    paramComponent.setForeground(paramColor2);
    if ((paramComponent instanceof Container))
    {
      Container localContainer = (Container)paramComponent;
      for (int i = 0; i < localContainer.getComponentCount(); i++) {
        setColor(localContainer.getComponent(i), paramColor1, paramColor2);
      }
    }
  }
  
  public static void setFont(Component paramComponent, Font paramFont)
  {
    paramComponent.setFont(paramFont);
    if ((paramComponent instanceof Container))
    {
      Container localContainer = (Container)paramComponent;
      for (int i = 0; i < localContainer.getComponentCount(); i++) {
        setFont(localContainer.getComponent(i), paramFont);
      }
    }
  }
}


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\prefuse\util\ui\UILib.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */