package prefuse.visual.tuple;

import java.awt.BasicStroke;
import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.geom.Rectangle2D;
import prefuse.Visualization;
import prefuse.data.Graph;
import prefuse.data.Table;
import prefuse.data.tuple.TableTuple;
import prefuse.render.Renderer;
import prefuse.visual.VisualItem;
import prefuse.visual.VisualTable;

public class TableVisualItem
  extends TableTuple
  implements VisualItem
{
  protected void init(Table paramTable, Graph paramGraph, int paramInt)
  {
    this.m_table = paramTable;
    this.m_row = (this.m_table.isValidRow(paramInt) ? paramInt : -1);
  }
  
  public Visualization getVisualization()
  {
    return ((VisualTable)this.m_table).getVisualization();
  }
  
  public String getGroup()
  {
    return ((VisualTable)this.m_table).getGroup();
  }
  
  public boolean isInGroup(String paramString)
  {
    return getVisualization().isInGroup(this, paramString);
  }
  
  public String toString()
  {
    StringBuffer localStringBuffer = new StringBuffer();
    localStringBuffer.append("VisualItem[").append(getGroup());
    localStringBuffer.append(",").append(this.m_row).append(',');
    VisualTable localVisualTable = (VisualTable)this.m_table;
    int i = localVisualTable.getLocalColumnCount();
    int j = localVisualTable.getColumnCount() - i;
    for (int k = 0; k < j; k++)
    {
      if (k > 0) {
        localStringBuffer.append(',');
      }
      String str = localVisualTable.getColumnName(i + k);
      localStringBuffer.append(str);
      localStringBuffer.append('=');
      if (localVisualTable.canGetString(str)) {
        localStringBuffer.append(localVisualTable.getString(this.m_row, str));
      } else {
        localStringBuffer.append(localVisualTable.get(this.m_row, str).toString());
      }
    }
    localStringBuffer.append(']');
    return localStringBuffer.toString();
  }
  
  public void render(Graphics2D paramGraphics2D)
  {
    getRenderer().render(paramGraphics2D, this);
  }
  
  public Renderer getRenderer()
  {
    return getVisualization().getRenderer(this);
  }
  
  public Rectangle2D validateBounds()
  {
    if (isValidated()) {
      return getBounds();
    }
    Visualization localVisualization = getVisualization();
    getRenderer().setBounds(this);
    setValidated(true);
    Rectangle2D localRectangle2D = getBounds();
    localVisualization.damageReport(this, localRectangle2D);
    return localRectangle2D;
  }
  
  public boolean isValidated()
  {
    return ((VisualTable)this.m_table).isValidated(this.m_row);
  }
  
  public void setValidated(boolean paramBoolean)
  {
    ((VisualTable)this.m_table).setValidated(this.m_row, paramBoolean);
  }
  
  public boolean isVisible()
  {
    return ((VisualTable)this.m_table).isVisible(this.m_row);
  }
  
  public void setVisible(boolean paramBoolean)
  {
    ((VisualTable)this.m_table).setVisible(this.m_row, paramBoolean);
  }
  
  public boolean isStartVisible()
  {
    return ((VisualTable)this.m_table).isStartVisible(this.m_row);
  }
  
  public void setStartVisible(boolean paramBoolean)
  {
    ((VisualTable)this.m_table).setStartVisible(this.m_row, paramBoolean);
  }
  
  public boolean isEndVisible()
  {
    return ((VisualTable)this.m_table).isEndVisible(this.m_row);
  }
  
  public void setEndVisible(boolean paramBoolean)
  {
    ((VisualTable)this.m_table).setEndVisible(this.m_row, paramBoolean);
  }
  
  public boolean isInteractive()
  {
    return ((VisualTable)this.m_table).isInteractive(this.m_row);
  }
  
  public void setInteractive(boolean paramBoolean)
  {
    ((VisualTable)this.m_table).setInteractive(this.m_row, paramBoolean);
  }
  
  public boolean isExpanded()
  {
    return ((VisualTable)this.m_table).isExpanded(this.m_row);
  }
  
  public void setExpanded(boolean paramBoolean)
  {
    ((VisualTable)this.m_table).setExpanded(this.m_row, paramBoolean);
  }
  
  public boolean isFixed()
  {
    return ((VisualTable)this.m_table).isFixed(this.m_row);
  }
  
  public void setFixed(boolean paramBoolean)
  {
    ((VisualTable)this.m_table).setFixed(this.m_row, paramBoolean);
  }
  
  public boolean isHighlighted()
  {
    return ((VisualTable)this.m_table).isHighlighted(this.m_row);
  }
  
  public void setHighlighted(boolean paramBoolean)
  {
    ((VisualTable)this.m_table).setHighlighted(this.m_row, paramBoolean);
  }
  
  public boolean isHover()
  {
    return ((VisualTable)this.m_table).isHover(this.m_row);
  }
  
  public void setHover(boolean paramBoolean)
  {
    ((VisualTable)this.m_table).setHover(this.m_row, paramBoolean);
  }
  
  public double getX()
  {
    return ((VisualTable)this.m_table).getX(this.m_row);
  }
  
  public void setX(double paramDouble)
  {
    ((VisualTable)this.m_table).setX(this.m_row, paramDouble);
  }
  
  public double getY()
  {
    return ((VisualTable)this.m_table).getY(this.m_row);
  }
  
  public void setY(double paramDouble)
  {
    ((VisualTable)this.m_table).setY(this.m_row, paramDouble);
  }
  
  public double getStartX()
  {
    return ((VisualTable)this.m_table).getStartX(this.m_row);
  }
  
  public void setStartX(double paramDouble)
  {
    ((VisualTable)this.m_table).setStartX(this.m_row, paramDouble);
  }
  
  public double getStartY()
  {
    return ((VisualTable)this.m_table).getStartY(this.m_row);
  }
  
  public void setStartY(double paramDouble)
  {
    ((VisualTable)this.m_table).setStartY(this.m_row, paramDouble);
  }
  
  public double getEndX()
  {
    return ((VisualTable)this.m_table).getEndX(this.m_row);
  }
  
  public void setEndX(double paramDouble)
  {
    ((VisualTable)this.m_table).setEndX(this.m_row, paramDouble);
  }
  
  public double getEndY()
  {
    return ((VisualTable)this.m_table).getEndY(this.m_row);
  }
  
  public void setEndY(double paramDouble)
  {
    ((VisualTable)this.m_table).setEndY(this.m_row, paramDouble);
  }
  
  public Rectangle2D getBounds()
  {
    if (!isValidated()) {
      return validateBounds();
    }
    return ((VisualTable)this.m_table).getBounds(this.m_row);
  }
  
  public void setBounds(double paramDouble1, double paramDouble2, double paramDouble3, double paramDouble4)
  {
    ((VisualTable)this.m_table).setBounds(this.m_row, paramDouble1, paramDouble2, paramDouble3, paramDouble4);
  }
  
  public int getStrokeColor()
  {
    return ((VisualTable)this.m_table).getStrokeColor(this.m_row);
  }
  
  public void setStrokeColor(int paramInt)
  {
    ((VisualTable)this.m_table).setStrokeColor(this.m_row, paramInt);
  }
  
  public int getStartStrokeColor()
  {
    return ((VisualTable)this.m_table).getStartStrokeColor(this.m_row);
  }
  
  public void setStartStrokeColor(int paramInt)
  {
    ((VisualTable)this.m_table).setStartStrokeColor(this.m_row, paramInt);
  }
  
  public int getEndStrokeColor()
  {
    return ((VisualTable)this.m_table).getEndStrokeColor(this.m_row);
  }
  
  public void setEndStrokeColor(int paramInt)
  {
    ((VisualTable)this.m_table).setEndStrokeColor(this.m_row, paramInt);
  }
  
  public int getFillColor()
  {
    return ((VisualTable)this.m_table).getFillColor(this.m_row);
  }
  
  public void setFillColor(int paramInt)
  {
    ((VisualTable)this.m_table).setFillColor(this.m_row, paramInt);
  }
  
  public int getStartFillColor()
  {
    return ((VisualTable)this.m_table).getStartFillColor(this.m_row);
  }
  
  public void setStartFillColor(int paramInt)
  {
    ((VisualTable)this.m_table).setStartFillColor(this.m_row, paramInt);
  }
  
  public int getEndFillColor()
  {
    return ((VisualTable)this.m_table).getEndFillColor(this.m_row);
  }
  
  public void setEndFillColor(int paramInt)
  {
    ((VisualTable)this.m_table).setEndFillColor(this.m_row, paramInt);
  }
  
  public int getTextColor()
  {
    return ((VisualTable)this.m_table).getTextColor(this.m_row);
  }
  
  public void setTextColor(int paramInt)
  {
    ((VisualTable)this.m_table).setTextColor(this.m_row, paramInt);
  }
  
  public int getStartTextColor()
  {
    return ((VisualTable)this.m_table).getStartTextColor(this.m_row);
  }
  
  public void setStartTextColor(int paramInt)
  {
    ((VisualTable)this.m_table).setStartTextColor(this.m_row, paramInt);
  }
  
  public int getEndTextColor()
  {
    return ((VisualTable)this.m_table).getEndTextColor(this.m_row);
  }
  
  public void setEndTextColor(int paramInt)
  {
    ((VisualTable)this.m_table).setEndTextColor(this.m_row, paramInt);
  }
  
  public double getSize()
  {
    return ((VisualTable)this.m_table).getSize(this.m_row);
  }
  
  public void setSize(double paramDouble)
  {
    ((VisualTable)this.m_table).setSize(this.m_row, paramDouble);
  }
  
  public double getStartSize()
  {
    return ((VisualTable)this.m_table).getStartSize(this.m_row);
  }
  
  public void setStartSize(double paramDouble)
  {
    ((VisualTable)this.m_table).setStartSize(this.m_row, paramDouble);
  }
  
  public double getEndSize()
  {
    return ((VisualTable)this.m_table).getEndSize(this.m_row);
  }
  
  public void setEndSize(double paramDouble)
  {
    ((VisualTable)this.m_table).setEndSize(this.m_row, paramDouble);
  }
  
  public int getShape()
  {
    return ((VisualTable)this.m_table).getShape(this.m_row);
  }
  
  public void setShape(int paramInt)
  {
    ((VisualTable)this.m_table).setShape(this.m_row, paramInt);
  }
  
  public BasicStroke getStroke()
  {
    return ((VisualTable)this.m_table).getStroke(this.m_row);
  }
  
  public void setStroke(BasicStroke paramBasicStroke)
  {
    ((VisualTable)this.m_table).setStroke(this.m_row, paramBasicStroke);
  }
  
  public Font getFont()
  {
    return ((VisualTable)this.m_table).getFont(this.m_row);
  }
  
  public void setFont(Font paramFont)
  {
    ((VisualTable)this.m_table).setFont(this.m_row, paramFont);
  }
  
  public Font getStartFont()
  {
    return ((VisualTable)this.m_table).getStartFont(this.m_row);
  }
  
  public void setStartFont(Font paramFont)
  {
    ((VisualTable)this.m_table).setStartFont(this.m_row, paramFont);
  }
  
  public Font getEndFont()
  {
    return ((VisualTable)this.m_table).getEndFont(this.m_row);
  }
  
  public void setEndFont(Font paramFont)
  {
    ((VisualTable)this.m_table).setEndFont(this.m_row, paramFont);
  }
  
  public double getDOI()
  {
    return ((VisualTable)this.m_table).getDOI(this.m_row);
  }
  
  public void setDOI(double paramDouble)
  {
    ((VisualTable)this.m_table).setDOI(this.m_row, paramDouble);
  }
}


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\prefuse\visual\tuple\TableVisualItem.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */